﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Registry.master" CodeFile="AdhocReportingAdministrationWizard.aspx.cs" Inherits="Reports_AdhocReportingAdministrationWizard" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder" runat="Server">
    <telerik:RadCodeBlock runat="server" ID="rcb1">
        <style>
            .publicTemplateSelectorRegion {
                text-align: right;
                padding: 5px;
                font-size: 14pt;
                color: #000000;
                width: 260px;
                background-color: beige;
                border: 1px solid #FF0000;
                float: right;
                margin-right: 20px;
            }

            .availableColumnHeader {
                float: left;
                font-size: 14pt;
                width: 300px;
            }

            .selectedColumnHeader {
                float: left;
                font-size: 14pt;
                width: 300px;
                padding-left: 2px;
            }
        </style>
        <script type="text/javascript">
            var pageWidth;

            function OnClientButtonClicking(sender, args) {
                // cancel click of navigation bar ... only allow wizard button
                if (args.get_command() == 4) {
                    args.set_cancel(true); //to cancel             
                }
            }

            function gridShowing() {
                pageWidth = window.innerWidth;
                $(".previewGridDisplay").width(pageWidth - 15);
            }

            function getFilterCtrlQuery(sender, eventArgs) {
                var previewDivText = $(".rfPreview").text();
                $("#<%=hfWhereClause.ClientID%>").val(previewDivText);

                var filter = $find("<%=rfConditionalBuilder.ClientID %>");
                var menu = filter.get_contextMenu();
                menu.add_showing(FilterMenuShowing);

                return true;
            }

            function FilterMenuShowing(sender, args) {
                var filter = $find("<%=rfConditionalBuilder.ClientID%>");
                var currentExpandedItem = sender.get_attributes()._data.ItemHierarchyIndex;
                var fieldName = filter._expressionItems[currentExpandedItem];
                var allFields = filter._dataFields;
                var dataType = null;
                for (var i = 0, j = allFields.length; i < j; i++) {
                    //alert(allFields[i].FieldName);
                    if (allFields[i].FieldName == fieldName) {
                        dataType = allFields[i].DataType;
                        //alert(dataType);
                        break;
                    }
                }

                switch (dataType) {
                    case "System.Int32":
                        sender.findItemByValue("Between").set_visible(false);
                        sender.findItemByValue("NotBetween").set_visible(false);
                        break;
                    case "System.String":
                        sender.findItemByValue("GreaterThan").set_visible(false);
                        sender.findItemByValue("LessThan").set_visible(false);
                        sender.findItemByValue("GreaterThanOrEqualTo").set_visible(false);
                        sender.findItemByValue("LessThanOrEqualTo").set_visible(false);
                        sender.findItemByValue("Between").set_visible(false);
                        sender.findItemByValue("NotBetween").set_visible(false);
                        sender.findItemByValue("IsEmpty").set_visible(false);
                        sender.findItemByValue("NotIsEmpty").set_visible(false);

                        break;
                    case "System.DateTime":
                        sender.findItemByValue("Between").set_visible(false);
                        sender.findItemByValue("NotBetween").set_visible(false);
                        break;
                }
            }
        </script>
    </telerik:RadCodeBlock>

    <telerik:RadSkinManager ID="RadSkinManager1" runat="server" Skin="Office2010Blue">
    </telerik:RadSkinManager>

    <telerik:RadStyleSheetManager ID="RadStyleSheetManager1" runat="server"></telerik:RadStyleSheetManager>

    <div style="padding: 10px;">Ad hoc Reporting Administration</div>

    <telerik:RadAjaxLoadingPanel runat="server" ID="RadAjaxLoadingPanel1"></telerik:RadAjaxLoadingPanel>
    <telerik:RadAjaxPanel ID="RadAjaxPanel1" runat="server" LoadingPanelID="RadAjaxLoadingPanel1">
        <%--Hidden Field to Store Where Clause Expressions--%>
        <asp:HiddenField ID="hfWhereClause" runat="server" />
        <asp:HiddenField ID="hfReportTemplateID" runat="server" />

        <div style="min-width: 980px;">
            <%--Begin Wizard--%>
            <telerik:RadWizard ID="rwReportTemplateWizard" Width="100%" runat="server" TabIndex="0" OnActiveStepChanged="rwReportTemplateWizard_ActiveStepChanged" OnClientButtonClicking="OnClientButtonClicking"
                OnNavigationBarButtonClick="rwReportTemplateWizard_NavigationBarButtonClick" OnNextButtonClick="rwReportTemplateWizard_NextButtonClick" OnCancelButtonClick="rwReportTemplateWizard_CancelButtonClick"
                DisplayCancelButton="true">
                <WizardSteps>
                    <%--Step 1 - Intro/Welcome--%>
                    <telerik:RadWizardStep ID="RadWizardStep1" Title="Introduction" runat="server" StepType="Start" CausesValidation="false" TabIndex="0">
                        <div style="padding: 10px;">
                            <h3>Welcome to the BCR Ad Hoc Report Template Creation System</h3>
                            <br />
                            In the following screens, you will be able to create custom report templates from existing data structures within the BCR system.  These report templates can then be save for later use through the Ad Hoc Reporting Dashboard page.<br />
                            <br />
                            To get started, simply click the "Next" button located at the bottom right of the wizard control.
                        </div>
                    </telerik:RadWizardStep>
                    <%--Step 2 - Report Template Name--%>
                    <telerik:RadWizardStep ID="RadWizardStep2" Title="1.) Report Template Name" ToolTip="Step 1 - Create or Edit Report Template Name" TabIndex="0" runat="server" StepType="Step" ValidationGroup="templateName" CausesValidation="true" SpriteCssClass="accountInfo">
                        <asp:Label runat="server" ID="lblForTemplateName" Text="Enter Template Name:" AssociatedControlID="rtbTemplateName" />
                        &nbsp;&nbsp;
                        <telerik:RadTextBox ID="rtbTemplateName" runat="server" EmptyMessage="Enter a Template Name" TextMode="SingleLine" Width="350" TabIndex="0" ToolTip="The Template Name is how the report will be identified for later use." />
                        <asp:RequiredFieldValidator ID="rfTemplateNameRequiredFieldValidator" runat="server" Display="Dynamic" Font-Bold="true" TabIndex="0" ForeColor="Red" ErrorMessage="* Template Name is a Required Field"
                            ValidationGroup="templateName" ControlToValidate="rtbTemplateName" />
                        <br />
                    </telerik:RadWizardStep>
                    <%--Step 3 - Column Selection--%>
                    <telerik:RadWizardStep ID="RadWizardStep3" Title="2.) Column Selection" ToolTip="Select Report Columns / Data" runat="server" TabIndex="0" StepType="Step" ValidationGroup="personalInfo" SpriteCssClass="personalInfo">
                        <%--<asp:Label runat="server" ID="lblAvailableColumns" Text="Available Columns: " ToolTip="These columns are available for custom, ad hoc reporting." AssociatedControlID="rlbAvailableColumns" />--%>
                        <div class="availableColumnHeader">
                            <asp:Label ID="lblHeaderForAvailColumns" runat="server" Text="Available Columns" AssociatedControlID="rlbAvailableColumns" />
                        </div>
                        <div class="selectedColumnHeader">
                            <asp:Label ID="lblHeaderForSelectedColumns" runat="server" Text="Selected Columns" AssociatedControlID="rlbSelectedColumns" />
                        </div>
                        <div style="clear: both;"></div>

                        <telerik:RadListBox ID="rlbAvailableColumns" runat="server" Width="300px" Height="200px" SelectionMode="Multiple" TabIndex="0" AllowTransfer="true" TransferToID="rlbSelectedColumns"
                            AutoPostBackOnTransfer="true" AllowReorder="true" AutoPostBackOnReorder="true" EnableDragAndDrop="true" OnDropped="RadListBox_Dropped">
                            <Items>
                            </Items>
                        </telerik:RadListBox>

                        <%--<asp:Label runat="server" ID="lblSelectedColumns" Text="Selected Columns: " ToolTip="Columns will be displayed in report." AssociatedControlID="rlbSelectedColumns" />--%>
                        <telerik:RadListBox ID="rlbSelectedColumns" runat="server" Width="300px" Height="200px" SelectionMode="Multiple" TabIndex="0" AllowReorder="true" AutoPostBackOnReorder="true"
                            EnableDragAndDrop="true" OnDropped="RadListBox_Dropped">
                            <Items>
                                <telerik:RadListBoxItem Text="PatientSID" Value="bcr.PatientSID as [bcr.PatientSID]" AllowDrag="false" />
                                <telerik:RadListBoxItem Text="Sta3n" Value="bcr.Sta3n as [bcr.Sta3n]" AllowDrag="false" />
                            </Items>
                        </telerik:RadListBox>
                    </telerik:RadWizardStep>
                    <%--Step 4 - Filter Section--%>
                    <telerik:RadWizardStep ID="RadWizardStep4" Title="3.) Filters" ToolTip="Add / Update Filters for the Report" TabIndex="0" runat="server" StepType="Step" ValidationGroup="ContactDetails" SpriteCssClass="contactDetails">
                        <table>
                            <tr>
                                <td style="vertical-align: top;">
                                    <span style="font-size: 13pt; font-weight: bold; text-decoration: underline;">Filter Creation Area:</span><br /><br />
                                    <asp:Panel ID="pnlJoinType" runat="server" GroupingText="Patient Grouping Method ">
                                        <telerik:RadButton ID="rbInnerJoin" runat="server" ToggleType="Radio" ButtonType="ToggleButton" Checked="true" Text="Show only patients with matching criteria / tests" GroupName="StandardButton" AutoPostBack="false"></telerik:RadButton>
                                        <br />
                                        <telerik:RadButton ID="rbLeftOuterJoin" runat="server" ToggleType="Radio" ButtonType="ToggleButton" Text="Show ALL patients with or without matching criteria / tests" GroupName="StandardButton" AutoPostBack="false"></telerik:RadButton>
                                    </asp:Panel>
                                    <br />
                                    <br />

                                    <telerik:RadFilter runat="server" ID="rfConditionalBuilder" FilterContainerID="rgResultsPreview" ExpressionPreviewPosition="Bottom" TabIndex="0"
                                        OnFieldEditorCreated="rfConditionalBuilder_FieldEditorCreated"
                                        OnApplyExpressions="rfConditionalBuilder_ApplyExpressions" ShowApplyButton="false" ApplyButtonText="Apply Filters" UseAccessibleApplyButton="false"
                                        AddExpressionToolTip="Click to add expressions or where statements for report." OnExpressionItemCreated="rfConditionalBuilder_ExpressionItemCreated"
                                        Localization-PreviewProviderIsEmptyText="Currently, no filters have been applied.  Please apply and then try to run the report.">
                                        <ClientSettings>
                                            <ClientEvents OnFilterCreated="getFilterCtrlQuery" />
                                        </ClientSettings>
                                    </telerik:RadFilter>
                                    <br />
                                    <br />
                                    <telerik:RadButton ID="rbApplyFilters" runat="server" Text="Apply Filters" TabIndex="0" ToolTip="Click this button to apply the filters and enable navigation buttons to continue."
                                        OnClick="rbApplyFilters_Click" Skin="Glow" Enabled="false" />
                                </td>
                                <td style="vertical-align: top; padding-left:10px;">
                                    <span style="font-size: 13pt; font-weight: bold; text-decoration: underline;">Selected Column Filter Instructions:</span><br /><br />
                                    <asp:Label ID="lblSelectedColumnInstructions" runat="server" />
                                </td>
                            </tr>
                        </table>
                        <br />
                        <br />
                    </telerik:RadWizardStep>
                    <%--Step 5 - Preview--%>
                    <telerik:RadWizardStep ID="RadWizardStep5" StepType="Step" Title="4.) Preview" ToolTip="Preview the Report" TabIndex="0" ValidationGroup="Confirmation" SpriteCssClass="confirmation">
                        <div class="previewGridDisplay" style="overflow: auto; max-height: 400px;">
                            <telerik:RadGrid ID="rgResultsPreview" Width="99%" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true" EnableLinqExpressions="false" ShowStatusBar="true" OnDataBound="rgResultsPreview_DataBound"
                                TabIndex="0" OnNeedDataSource="rgResultsPreview_NeedDataSource" OnItemDataBound="rgResultsPreview_ItemDataBound" OnItemCreated="rgResultsPreview_ItemCreated">
                                <MasterTableView AutoGenerateColumns="true" AllowFilteringByColumn="false" AllowSorting="true" AllowPaging="true" CommandItemDisplay="None" PagerStyle-AlwaysVisible="true"
                                    TabIndex="0" Width="100%" PageSize="20" ShowHeadersWhenNoRecords="true" ItemStyle-Wrap="true" EnableSplitHeaderText="false" AllowMultiColumnSorting="false">
                                    <NoRecordsTemplate>
                                        <table>
                                            <tr>
                                                <td>
                                                    <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-size: 12pt; font-weight: normal;" TabIndex="0">
                                                    Either no results were found with the selected parameters or the initial search has not been performed yet.  Please ensure you have columns selected, filters created and click "Apply" in the filters section.
                                                    </asp:Label></td>
                                            </tr>
                                        </table>
                                    </NoRecordsTemplate>
                                    <SortExpressions>
                                    </SortExpressions>
                                    <ColumnGroups>
                                    </ColumnGroups>
                                    <Columns>
                                    </Columns>
                                </MasterTableView>
                                <ClientSettings AllowKeyboardNavigation="true">
                                    <Scrolling AllowScroll="True" UseStaticHeaders="True"></Scrolling>
                                    <Selecting AllowRowSelect="true" />
                                    <KeyboardNavigationSettings EnableKeyboardShortcuts="true" />
                                    <ClientEvents OnGridCreating="gridShowing" />
                                </ClientSettings>
                                <FilterMenu OnClientShowing="MenuShowing" />
                                <PagerStyle Mode="NextPrevAndNumeric" />
                            </telerik:RadGrid>
                        </div>
                        <br />
                        <asp:Panel ID="pnlPublicTemplate" runat="server" Visible="false">
                            <div class="publicTemplateSelectorRegion">
                                Public Template Selection:<br />
                                <br />
                                <asp:CheckBox ID="chkIsPublicTemplate" runat="server" Font-Size="14pt" Text="Use as Public Template?" ToolTip="Should this template be used as a public, system template that other users may copy?" />
                            </div>
                            <div style="clear: both;"></div>
                            <br />
                        </asp:Panel>
                    </telerik:RadWizardStep>
                    <%--Step 6 - Finish (Thank You)--%>
                    <telerik:RadWizardStep ID="RadWizardStep6" runat="server" StepType="Complete" CssClass="complete" TabIndex="0">
                        <div style="padding: 10px;">
                            <h3>Thank you for using the BCR Ad Hoc Report Template Creation System</h3>
                            <br />
                            Your report template has been saved to the system.  Please click the link below to return to the Ad Hoc Reporting Dashboard:<br />
                            <br />
                            <a href="AdhocReportingDashboard.aspx" title="Click to return to the Ad Hoc Reporting Dashboard" tabindex="0">Return to the Ad Hoc Reporting Dashboard
                            </a>
                            <br />
                            <br />
                            <a href="Dashboard.aspx" title="Return to the Main BCR Dashboard" tabindex="0">Return to the Main BCR Dashboard
                            </a>
                        </div>
                    </telerik:RadWizardStep>
                </WizardSteps>
            </telerik:RadWizard>
            <%--End Wizard--%>
        </div>
    </telerik:RadAjaxPanel>
</asp:Content>
