﻿<%@ Page Title="Breast Cancer Aggregate Report" Language="C#" MasterPageFile="~/Registry.master" AutoEventWireup="true" CodeFile="BreastCancer_Agg_Rpt.aspx.cs" Inherits="Reports_BreastCancer_Agg_Rpt" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Charting" TagPrefix="telerik" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    <link href="../scripts/jQueryUI/jquery-ui.css" rel="stylesheet" />
    <link href="../scripts/jQueryUI/jquery-ui.structure.css" rel="stylesheet" />
    <link href="../scripts/jQueryUI/jquery-ui.theme.css" rel="stylesheet" />
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder" runat="Server">
    <telerik:RadCodeBlock runat="server" ID="rcb1">
        <script type="text/javascript">
            $(function () {
                $("#dialog").dialog(
                    {
                        autoOpen: false,
                        height: 300,
                        width: 350,
                        modal: true
                    });

                $('#txtCustomName').on('keypress', function (event) {
                    var regex = new RegExp("^[a-zA-Z0-9_ -]+$");
                    var key = String.fromCharCode(!event.charCode ? event.which : event.charCode);
                    if (!regex.test(key)) {
                        event.preventDefault();
                        return false;
                    }
                });
            });

            function getCustomReportName(uniqueID) {
                $('#dialog').dialog('option', 'buttons',
                {
                    "OK": function () {
                        $("#<%=hfCustomReportName.ClientID%>").val($("#txtCustomName").val());

                        __doPostBack(uniqueID, '');
                        $(this).dialog("close");

                        $("#txtCustomName").val('<%=reportName%>');
                    },
                    "Cancel": function () { $(this).dialog("close"); }
                });

                $('#dialog').dialog('open');

                return false;
            }

            function ShowProgress() {
                setTimeout(function () {
                    var modal = $('<div />');
                    modal.addClass("modal");
                    $('body').append(modal);
                    var loading = $(".loading");
                    loading.show();
                    var top = Math.max($(window).height() / 2 - loading[0].offsetHeight / 2, 0);
                    var left = Math.max($(window).width() / 2 - loading[0].offsetWidth / 2, 0);
                    loading.css({ top: top, left: left });
                }, 200);
            }

            // Function called on Grid Commands - on sort - force grid to page 1.
            function OnGridCommand(sender, eventArgs) {
                ShowProgress();

                if (eventArgs.get_commandName() == "Sort") {
                    // make grid go to first page ... 
                    var grid = $find('<%= rgBreastCancerAgg.ClientID %>');
                    var masterTableView = grid.get_masterTableView();
                    masterTableView.set_currentPageIndex(0);
                }
            }

            function OnClientClicking(button, args) {
                window.location = button.get_navigateUrl();
                args.set_cancel(true);
            }

            function OnClientDropDownClosedHandler(sender, eventArgs) {
                var uniqueID = '<%=rcbVisn.ClientID%>';
                __doPostBack(uniqueID, '');
            }

        </script>
    </telerik:RadCodeBlock>

    <telerik:RadSkinManager ID="QsfSkinManager" runat="server" ShowChooser="false" Skin="Office2010Blue" />

    <table style="width: 100%;">
        <tr>
            <td style="padding-left: 10px; padding-right: 10px; padding-top: 4px; width: 300px; vertical-align: top; background-color: #F5F5F5;">
                <asp:Panel ID="pnlAdvancedSearch" runat="server">
                    <!--Start Filters-->
                    <h2>Search Filters:</h2>
                    <br />

                    <table style="padding: 0px;">
                        <tr>
                            <td style="padding-right: 5px;">
                                <telerik:RadButton ID="btnRunReportTop" runat="server" Enabled="false" Text="Run Report" OnClick="btnRunReport_Click" OnClientClicked="ShowProgress" TabIndex="0" />
                            </td>
                            <td style="padding-right: 5px;">
                                <telerik:RadButton ID="btnClearReportTop" runat="server" Text="Reset" OnClick="btnClearReport_Click" OnClientClicked="ShowProgress" TabIndex="0" CausesValidation="false" />
                            </td>
                        </tr>
                    </table>
                    <br />

                    <asp:Label runat="server" ID="lblVisn" Text="Select VISN(s):" ToolTip="Select VISN(s) for report." AssociatedControlID="rcbVisn" /><br />
                    <telerik:RadComboBox ID="rcbVisn" runat="server" Width="100%" TabIndex="0" AutoPostBack="true" CheckBoxes="true" EnableCheckAllItemsCheckBox="true" EmptyMessage="VISN Selection"
                        OnSelectedIndexChanged="rcbVisn_SelectedIndexChanged" OnClientDropDownClosed="OnClientDropDownClosedHandler" OnClientSelectedIndexChanged="ShowProgress" AccessibilityMode="true" ToolTip="VISN Selection" AccessKey="V" />
                    <br />
                    <br />

                    <asp:Label runat="server" ID="Label1" Text="Age Restriction:" AssociatedControlID="rddlAgeRestriction" />
                    <br />
                    <telerik:RadComboBox ID="rddlAgeRestriction" runat="server" TabIndex="0" Width="100%" AccessibilityMode="true">
                        <Items>
                            <telerik:RadComboBoxItem Text="All" Value="All" Selected="true" />
                            <telerik:RadComboBoxItem Text="0-30" Value="0-30" />
                            <telerik:RadComboBoxItem Text="31-40" Value="31-40" />
                            <telerik:RadComboBoxItem Text="41-50" Value="41-50" />
                            <telerik:RadComboBoxItem Text="51-60" Value="51-60" />
                            <telerik:RadComboBoxItem Text="61-64" Value="61-64" />
                            <telerik:RadComboBoxItem Text="65-74" Value="65-74" />
                            <telerik:RadComboBoxItem Text="Over 74" Value="Over 74" />
                        </Items>
                    </telerik:RadComboBox>
                    <br />
                    <br />
                    <asp:Label runat="server" ID="lblGender" Text="Gender:" AssociatedControlID="rcbGender" />
                    <br />
                    <telerik:RadComboBox ID="rcbGender" runat="server" Width="100%" TabIndex="0" AccessibilityMode="true">
                        <Items>
                            <telerik:RadComboBoxItem Text="All" Value="All" Selected="true" />
                            <telerik:RadComboBoxItem Text="F" Value="F" />
                            <telerik:RadComboBoxItem Text="M" Value="M" />
                        </Items>
                    </telerik:RadComboBox>
                    <br />
                    <br />

                    <asp:Label runat="server" ID="lblRace" Text="Race:" AssociatedControlID="rcbRace" />
                    <br />
                    <telerik:RadComboBox ID="rcbRace" runat="server" TabIndex="0" Width="100%" AccessibilityMode="true">
                    </telerik:RadComboBox>
                    <br />
                    <br />

                    <table style="padding: 0px;">
                        <tr>
                            <td style="padding-right: 5px;">
                                <telerik:RadButton ID="btnRunReportBottom" runat="server" Enabled="false" Text="Run Report" OnClientClicked="ShowProgress" OnClick="btnRunReport_Click" TabIndex="0" />
                            </td>
                            <td style="padding-right: 5px;">
                                <telerik:RadButton ID="btnClearReportBottom" runat="server" Text="Reset" OnClick="btnClearReport_Click" CausesValidation="false" OnClientClicked="ShowProgress" TabIndex="0" />
                            </td>
                        </tr>
                    </table>
                    <br />
                    <!--End Filters-->
                </asp:Panel>
            </td>
            <td style="vertical-align: top; padding-right: 10px;">** MMG = Mammogram<br />** Breast Cancer Patient Count with Diagnosis Entries in the Last 24 months<br />

                <asp:HiddenField ID="hfCustomReportName" runat="server" />

                <div style="text-align: right;">
                    <asp:Label ID="lblExecutionTimeLabel" runat="server" AssociatedControlID="lblExecutionTime" Text="Execution Time:" ToolTip="Report Execution Time" />
                    <asp:Label ID="lblExecutionTime" runat="server" ToolTip="Length of time to execute report" />
                </div>

                <!--Start Export Buttons -->
                <asp:Button runat="server" ID="btnExcel" Text="Export to Excel" CommandName="XLS" OnClientClick="return getCustomReportName(this.name);" OnClick="btnExport_Click" TabIndex="0" />
                <asp:Button runat="server" ID="btnCSV" Text="Export to CSV" CommandName="CSV" OnClientClick="return getCustomReportName(this.name);" OnClick="btnExport_Click" TabIndex="0" />
                <asp:Button runat="server" ID="btnPDF" Text="Export to PDF" CommandName="PDF" OnClientClick="return getCustomReportName(this.name);" OnClick="btnExport_Click" TabIndex="0" Visible="true" />
                <asp:Button runat="server" ID="btnWord" Text="Export to Word" CommandName="DOC" OnClientClick="return getCustomReportName(this.name);" OnClick="btnExport_Click" TabIndex="0" />
                <!--End Export Buttons -->

                <!--Start Grid-->
                <telerik:RadGrid ID="rgBreastCancerAgg" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true"
                    EnableLinqExpressions="false" ShowStatusBar="true" TabIndex="0" OnNeedDataSource="rgBreastCancerAgg_NeedDataSource" OnItemDataBound="rgBreastCancerAgg_ItemDataBound"
                    OnItemCreated="rgBreastCancerAgg_ItemCreated" ShowFooter="true" OnItemCommand="rgBreastCancerAgg_ItemCommand">
                    <MasterTableView AutoGenerateColumns="false" DataKeyNames="Sta3n" ClientDataKeyNames="Sta3n" AllowMultiColumnSorting="false" AllowCustomSorting="false"
                        AllowFilteringByColumn="false" AllowSorting="true" AllowPaging="true" CommandItemDisplay="None"
                        TabIndex="0" Width="100%" PageSize="20" ShowHeadersWhenNoRecords="true">
                        <NoRecordsTemplate>
                            <table>
                                <tr>
                                    <td>
                                        <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-size: 12pt; font-weight: normal;" TabIndex="0">
                                                Either no results were found with the selected parameters or the initial search has not been performed yet.  Please select criteria and click on the "Run Report" button
                                        </asp:Label>
                                    </td>
                                </tr>
                            </table>
                        </NoRecordsTemplate>

                        <Columns>
                            <telerik:GridButtonColumn ButtonType="LinkButton" Text="View More" CommandName="Details" UniqueName="DetailButton" Exportable="false" HeaderText="Details"
                                HeaderTooltip="Click to view detailed information." />

                            <telerik:GridBoundColumn DataField="InstitutionName" UniqueName="InstitutionNameRpt" HeaderText="Facility Name" HeaderTooltip="Facility Name Column" ColumnGroupName="institution"
                                HeaderButtonType="None" AllowFiltering="false" Visible="true" />

                            <telerik:GridBoundColumn DataField="Sta3n" UniqueName="Sta3nRpt" HeaderText="Facility ID" HeaderTooltip="Facility ID Column" ColumnGroupName="institution"
                                HeaderButtonType="None" AllowFiltering="false" Visible="true" />

                            <telerik:GridBoundColumn DataField="TotalFacilityPatientCount" UniqueName="TotalFacilityPatientCountRpt" HeaderText="Total Facility Patient Count in Registry" HeaderTooltip="Total Facility Patient Count in Registry Column"
                                HeaderButtonType="None" AllowFiltering="false" Visible="true" Aggregate="Sum" FooterAggregateFormatString="{0}" />

                            <telerik:GridBoundColumn DataField="TotalFacilityFemalePatientCount" UniqueName="TotalFacilityFemalePatientCountRpt" HeaderText="Facility Female Patient Count in Registry" HeaderTooltip="Total Facility Female Patient Count in Registry Column"
                                HeaderButtonType="None" AllowFiltering="false" Visible="true" Aggregate="Sum" FooterAggregateFormatString="{0}" />

                            <telerik:GridBoundColumn DataField="TotalFacilityMalePatientCount" UniqueName="TotalFacilityMalePatientCountRpt" HeaderText="Facility Male Patient Count in Registry" HeaderTooltip="Total Facility Male Patient Count in Registry Column"
                                HeaderButtonType="None" AllowFiltering="false" Visible="true" Aggregate="Sum" FooterAggregateFormatString="{0}" />

                            <telerik:GridBoundColumn DataField="TotalBreastCancerPatientCount" UniqueName="TotalBreastCancerPatientCountRpt" HeaderText="Total Breast Cancer Patient Count in Registry **" HeaderTooltip="Total Breast Cancer Patient Count with Diagnosis Entries in the Last 24 months Column"
                                HeaderButtonType="None" AllowFiltering="false" Visible="true" Aggregate="Sum" FooterAggregateFormatString="{0}" />

                            <telerik:GridBoundColumn DataField="NewDiag" UniqueName="NewDiagRpt" HeaderText="New Diagnosis (Last 12 mo.)" HeaderTooltip="New Diagnosis (Last 12 mo) Column"
                                HeaderButtonType="None" AllowFiltering="false" Visible="true" Aggregate="Sum" FooterAggregateFormatString="{0}" />

                            <telerik:GridBoundColumn DataField="PatientsSeenInWomensHealthThisYear" UniqueName="PatientsSeenInWomensHealthThisYearRpt" HeaderText="Breast Cancer Patients Seen in Last 12 mo.?" HeaderTooltip="Breast Cancer Patients Seen in the last year (12 mo) Column"
                                HeaderButtonType="None" AllowFiltering="false" Visible="true" Aggregate="Sum" FooterAggregateFormatString="{0}" />
                        </Columns>
                    </MasterTableView>
                    <ClientSettings AllowKeyboardNavigation="true">
                        <Selecting AllowRowSelect="true" />
                        <KeyboardNavigationSettings EnableKeyboardShortcuts="true" />
                        <ClientEvents OnCommand="OnGridCommand" />
                    </ClientSettings>
                    <FilterMenu OnClientShowing="MenuShowing" />
                    <PagerStyle Mode="NextPrevAndNumeric" />
                </telerik:RadGrid>
                <!--End Grid-->

                <asp:Panel ID="pnlCharts" runat="server" Visible="false">
                    <table style="width: 100%;">
                        <tr>
                            <td colspan="2" style="width: 100%; vertical-align: top;">
                                <!-- Start Chart 1 -->
                                <%--<telerik:RadHtmlChart runat="server" ID="rhcBreastCxDistribution" Height="500" Transitions="false" TabIndex="0" ToolTip="Breast Cancer Patient Distribution by Facility">
                                    <PlotArea>
                                        <Series>
                                            <telerik:PieSeries StartAngle="90" Name="Table" DataFieldY="TotalBreastCancerPatientCount" NameField="InstitutionName">
                                                <LabelsAppearance Position="OutsideEnd">
                                                    <ClientTemplate>
                                                    #=dataItem.InstitutionName# (#=dataItem.TotalBreastCancerPatientCount#)
                                                    </ClientTemplate>
                                                </LabelsAppearance>
                                                <TooltipsAppearance>
                                                    <ClientTemplate>
                                                    #=dataItem.TotalBreastCancerPatientCount# Breast Cancer Patients <br />in #=dataItem.InstitutionName#
                                                    </ClientTemplate>
                                                </TooltipsAppearance>
                                            </telerik:PieSeries>
                                        </Series>
                                    </PlotArea>
                                    <Legend>
                                        <Appearance Visible="true" Position="Bottom" />
                                    </Legend>
                                    <ChartTitle Text="Breast Cancer Patient Distribution">
                                    </ChartTitle>
                                </telerik:RadHtmlChart>--%>

                                <telerik:RadHtmlChart ID="rhcBreastCancerDist" runat="server" Height="500px" Width="100%" ToolTip="Breast Cancer Distribution Chart - Showing count of Breast Cancer Patients per selected Facility.">
                                    <PlotArea>
                                        <Series>
                                            <telerik:ColumnSeries Name="Number of Breast Cancer Patients" DataFieldY="TotalBreastCancerPatientCount">
                                                <TooltipsAppearance>
                                                    <ClientTemplate>
                                                        #=dataItem.TotalBreastCancerPatientCount# Breast Cancer Patients<br /> in #=dataItem.InstitutionName#
                                                    </ClientTemplate>
                                                </TooltipsAppearance>
                                                <LabelsAppearance Visible="false" />
                                            </telerik:ColumnSeries>
                                        </Series>
                                        <XAxis DataLabelsField="InstitutionName">
                                            <LabelsAppearance RotationAngle="-90" />
                                        </XAxis>
                                        <YAxis>
                                            <TitleAppearance Position="Center" RotationAngle="0">
                                                <TextStyle Color="#000000" />
                                            </TitleAppearance>
                                        </YAxis>
                                    </PlotArea>
                                    <Legend>
                                        <Appearance BackgroundColor="Transparent" Position="Bottom">
                                        </Appearance>
                                    </Legend>
                                    <ChartTitle Text="Breast Cancer Distribution">
                                    </ChartTitle>
                                </telerik:RadHtmlChart>

                                <!-- End Chart 1 -->
                            </td>
                            <%--<td style="width: 50%; vertical-align: top;"></td>--%>
                        </tr>
                        <tr>
                            <td style="width: 50%; vertical-align: top; border: 1px solid #CCCCCC;">
                                <!-- Start Chart 1 - Age -->
                                <telerik:RadHtmlChart runat="server" ID="rhcBreastCancerByAge" Transitions="true" TabIndex="0" Skin="Silk">
                                    <PlotArea>
                                        <Series>
                                            <telerik:PieSeries Visible="true" StartAngle="90" DataFieldY="PercentValue" NameField="DisplayName">
                                                <LabelsAppearance Position="OutsideEnd">
                                                    <ClientTemplate>
                                                        #=dataItem.DisplayName# (#=dataItem.PercentValue#%)
                                                    </ClientTemplate>
                                                </LabelsAppearance>
                                                <TooltipsAppearance>
                                                    <ClientTemplate>
                                                        #=dataItem.DisplayName# age group <br />makes up #=dataItem.PercentValue#%
                                                    </ClientTemplate>
                                                </TooltipsAppearance>
                                            </telerik:PieSeries>
                                        </Series>
                                    </PlotArea>
                                    <Legend>
                                        <Appearance Visible="true" Position="Bottom" />
                                    </Legend>
                                    <ChartTitle Text="Breast Cancer Distribution By Age">
                                    </ChartTitle>
                                </telerik:RadHtmlChart>
                                <!-- End Chart 1 - Age -->
                            </td>
                            <td style="width: 50%; vertical-align: top; border: 1px solid #CCCCCC;">
                                <!-- Start Chart 2 - Race -->
                                <telerik:RadHtmlChart runat="server" ID="rhcBreastCancerByRace" Transitions="true" TabIndex="0" Skin="Silk">
                                    <PlotArea>
                                        <Series>
                                            <telerik:PieSeries StartAngle="90" DataFieldY="PercentValue" NameField="DisplayName">
                                                <LabelsAppearance Position="OutsideEnd">
                                                    <ClientTemplate>
                                                        #=dataItem.DisplayName# (#=dataItem.PercentValue#%)
                                                    </ClientTemplate>
                                                </LabelsAppearance>
                                                <TooltipsAppearance>
                                                    <ClientTemplate>
                                                        #=dataItem.DisplayName# racial group <br />makes up #=dataItem.PercentValue#% of data set.
                                                    </ClientTemplate>
                                                </TooltipsAppearance>
                                            </telerik:PieSeries>
                                        </Series>
                                    </PlotArea>
                                    <Legend>
                                        <Appearance Visible="true" Position="Bottom" />
                                    </Legend>
                                    <ChartTitle Text="Breast Cancer By Race">
                                    </ChartTitle>
                                </telerik:RadHtmlChart>
                                <!-- End Chart 2 - Race -->
                            </td>
                        </tr>
                    </table>
                </asp:Panel>
            </td>
        </tr>
    </table>

    <div class="loading" align="center">
        Loading. Please wait.<br />
        <br />
        <img src="../images/ajax-loader.gif" alt="Loading Image" />
    </div>

    <div id="dialog" title="Enter Custom Name for Report:">
        <p>
            Please enter a custom name for report or leave default:<br />
            <input type="text" id="txtCustomName" value="<%=reportName%>" style="width: 100%;" />
        </p>
    </div>
</asp:Content>
