﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Registry.master" AutoEventWireup="true" CodeFile="BreastCancer_Rpt.aspx.cs" Inherits="Reports_BreastCancer_Rpt" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Charting" TagPrefix="telerik" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    <link href="../scripts/jQueryUI/jquery-ui.css" rel="stylesheet" />
    <link href="../scripts/jQueryUI/jquery-ui.structure.css" rel="stylesheet" />
    <link href="../scripts/jQueryUI/jquery-ui.theme.css" rel="stylesheet" />
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder" runat="Server">
    <telerik:RadCodeBlock runat="server" ID="rcb1">
        <script type="text/javascript">
            $(function () {
                $("#dialog").dialog(
                    {
                        autoOpen: false,
                        height: 300,
                        width: 350,
                        modal: true
                    });

                $('#txtCustomName').on('keypress', function (event) {
                    var regex = new RegExp("^[a-zA-Z0-9_ -]+$");
                    var key = String.fromCharCode(!event.charCode ? event.which : event.charCode);
                    if (!regex.test(key)) {
                        event.preventDefault();
                        return false;
                    }
                });
            });

            function getCustomReportName(uniqueID) {
                $('#dialog').dialog('option', 'buttons',
                {
                    "OK": function () {
                        $("#<%=hfCustomReportName.ClientID%>").val($("#txtCustomName").val());

                        __doPostBack(uniqueID, '');
                        $(this).dialog("close");

                        $("#txtCustomName").val('<%=reportName%>');
                    },
                    "Cancel": function () { $(this).dialog("close"); }
                });

                $('#dialog').dialog('open');

                return false;
            }

            function ShowProgress() {
                setTimeout(function () {
                    var modal = $('<div />');
                    modal.addClass("modal");
                    $('body').append(modal);
                    var loading = $(".loading");
                    loading.show();
                    var top = Math.max($(window).height() / 2 - loading[0].offsetHeight / 2, 0);
                    var left = Math.max($(window).width() / 2 - loading[0].offsetWidth / 2, 0);
                    loading.css({ top: top, left: left });
                }, 200);
            }

            function OnClientClicking(button, args) {
                window.location = button.get_navigateUrl();
                args.set_cancel(true);
            }

            // Date Functions
            function startDateSelected(sender, e) {
                try {
                    var endDate = $find("<%=rdpEndDate.ClientID%>");

                    if (e.get_newDate() != null) {
                        //alert("OnDateSelected: " + e.get_newDate().toDateString() + " selected in " + sender.get_id() + "<br />");
                        // set end Date min to this value
                        endDate.set_minDate(e.get_newDate());

                        if (endDate.get_selectedDate() < e.get_newDate()) {
                            endDate.set_selectedDate(e.get_newDate());
                        }
                    }
                    else {
                        //alert("OnDateSelected: Date cleared in " + sender.get_id() + "<br />");
                    }
                }
                catch (ex) {
                    // doesn't have e.get_newDate()
                }
            }

            function endDateSelected(sender, e) {
                // find the start date ... ensure it is selected
                var startDate = $find("<%=rdpStartDate.ClientID%>");

                var selectedDate = startDate.get_selectedDate();

                if (selectedDate == null) {
                    alert("Start Date must be selected first!");
                    return false;
                }
            }

            function validatePage(sender, args) {
                if (Page_ClientValidate("FilterValidation")) { //validate using above validation controls group
                    //validation return true section
                    ShowProgress();
                }
                else {
                    //validation return false section
                    $find("<%=RadNotification1.ClientID %>").show();
                    args.set_cancel(true);
                }
            }

            function endDateError(sender, args) {
                var startDate = $find("<%=rdpStartDate.ClientID%>");
                var endDate = $find("<%=rdpEndDate.ClientID%>");

                var selectedStartDate = startDate.get_selectedDate();

                endDate.set_selectedDate(selectedStartDate);
                alert("End date must be after Start Date");
            }
        </script>
    </telerik:RadCodeBlock>

    <telerik:RadSkinManager ID="QsfSkinManager" runat="server" ShowChooser="false" Skin="Office2010Blue" />
    
    <table style="width: 100%;">
        <tr>
            <td style="padding-left: 10px; padding-right: 10px; padding-top: 4px; width: 250px; vertical-align: top; background-color: #F5F5F5;">
                <asp:Panel ID="pnlAdvancedSearch" runat="server">
                    <!--Start Filters-->
                    <h2>Search Filters:</h2>
                    <br />
                    <table style="padding: 0px;">
                        <tr>
                            <td style="padding-right: 5px;">
                                <telerik:RadButton ID="btnRunReportTop" runat="server" Enabled="false" Text="Run Report" TabIndex="0" OnClick="btnRunReport_Click" OnClientClicking="validatePage" />
                            </td>
                            <td style="padding-right: 5px;">
                                <telerik:RadButton ID="btnClearReportTop" runat="server" Text="Reset" TabIndex="0" OnClick="btnClearReport_Click" OnClientClicked="ShowProgress" />
                            </td>
                        </tr>
                    </table>
                    <br />

                    <asp:Label runat="server" ID="lblVisn" Text="Select VISN:" AssociatedControlID="rcbVisn" /><br />
                    <telerik:RadComboBox ID="rcbVisn" runat="server" Width="100%" TabIndex="0" EnableAriaSupport="true" ToolTip="VISN Selection"
                        AutoPostBack="true" OnSelectedIndexChanged="rcbVisn_SelectedIndexChanged" OnClientSelectedIndexChanged="ShowProgress" />
                    <br />
                    <br />
                    <asp:Label runat="server" ID="lblFac" Text="Select Station / Healthcare System:" AssociatedControlID="rcbFac" /><br />
                    <telerik:RadComboBox ID="rcbFac" runat="server" Width="100%" TabIndex="0" EnableAriaSupport="true" ToolTip="Station Selection"
                        AutoPostBack="true" OnSelectedIndexChanged="rcbFac_SelectedIndexChanged" OnClientSelectedIndexChanged="ShowProgress" Enabled="false" />
                    <br />
                    <br />

                    <asp:Label ID="lblForPACTTeamList" AssociatedControlID="rcbPACTTeamsForFacility" runat="server" Text="Select/Search for PACT Team: " TabIndex="0"></asp:Label>
                    <br />
                    <telerik:RadComboBox ID="rcbPACTTeamsForFacility" runat="server" AllowCustomText="false" Enabled="false" CheckBoxes="true" EnableCheckAllItemsCheckBox="true" AccessKey="T"
                        EmptyMessage="All (open list or type select filter)" Width="100%" Filter="Contains" EnableViewState="True" DataTextField="PCMMTeam" ToolTip="Search for PACT Team" ChangeTextOnKeyBoardNavigation="true" EnableVirtualScrolling="true"
                        DataValueField="PCMMTeamSID" TabIndex="0">
                    </telerik:RadComboBox>
                    <br />
                    <br />

                    <asp:Label runat="server" ID="lblStartDate" Text="Start Date:" AssociatedControlID="rdpStartDate" /><br />
                    <telerik:RadDatePicker ID="rdpStartDate" runat="server" ZIndex="30001" Width="100%" TabIndex="0" ShowPopupOnFocus="false" ClientEvents-OnDateSelected="startDateSelected" AccessKey="D">
                        <Calendar ID="calStartDate" runat="server" EnableKeyboardNavigation="true"></Calendar>
                        <DateInput ID="DateInputStartDate" runat="server" ToolTip="Start Date Input" ValidationGroup="FilterValidation"></DateInput>
                    </telerik:RadDatePicker>
                    <asp:RequiredFieldValidator runat="server" ID="rfvStartDate" ValidationGroup="FilterValidation" ControlToValidate="rdpStartDate" Enabled="true" Display="Dynamic" ErrorMessage="* Start Date is required for custom range"></asp:RequiredFieldValidator>
                    <br />
                    <br />

                    <asp:Label runat="server" ID="lblEndDate" Text="End Date:" AssociatedControlID="rdpEndDate" /><br />
                    <telerik:RadDatePicker ID="rdpEndDate" runat="server" ZIndex="30001" TabIndex="0" Width="100%" ShowPopupOnFocus="false" ClientEvents-OnDateSelected="endDateSelected" DateInput-ClientEvents-OnError="endDateError" AccessKey="E">
                        <Calendar ID="calEndDate" runat="server" EnableKeyboardNavigation="true"></Calendar>
                        <DateInput ID="DateInputEndDate" runat="server" ValidationGroup="FilterValidation"></DateInput>
                    </telerik:RadDatePicker>
                    <asp:RequiredFieldValidator runat="server" ID="rfvEndDate" ControlToValidate="rdpEndDate" ValidationGroup="FilterValidation" Enabled="true" Display="Dynamic" ErrorMessage="* End Date is required for custom range"></asp:RequiredFieldValidator>
                    <br />
                    <br />

                    <asp:Label runat="server" ID="lblPatientName" Text="Patient Name (contains):" AssociatedControlID="rtbPatientName" />
                    <br />
                    <telerik:RadTextBox ID="rtbPatientName" runat="server" TextMode="SingleLine" Width="100%" TabIndex="0" />
                    <br />
                    <br />

                    <asp:Label runat="server" ID="Label1" Text="Age Restriction:" AssociatedControlID="rddlAgeRestriction" />
                    <br />
                    <telerik:RadComboBox ID="rddlAgeRestriction" runat="server" TabIndex="0" Width="100%" AccessibilityMode="true">
                        <Items>
                            <telerik:RadComboBoxItem Text="All" Value="All" Selected="true" />
                            <telerik:RadComboBoxItem Text="0-30" Value="0-30" />
                            <telerik:RadComboBoxItem Text="31-40" Value="31-40" />
                            <telerik:RadComboBoxItem Text="41-50" Value="41-50" />
                            <telerik:RadComboBoxItem Text="51-60" Value="51-60" />
                            <telerik:RadComboBoxItem Text="61-64" Value="61-64" />
                            <telerik:RadComboBoxItem Text="65-74" Value="65-74" />
                            <telerik:RadComboBoxItem Text="Over 74" Value="Over 74" />
                        </Items>
                    </telerik:RadComboBox>
                    <br />
                    <br />

                    <asp:Label runat="server" ID="lblGender" Text="Gender:" AssociatedControlID="rcbGender" />
                    <br />
                    <telerik:RadComboBox ID="rcbGender" runat="server" Width="100%" TabIndex="0" AccessibilityMode="true">
                        <Items>
                            <telerik:RadComboBoxItem Text="All" Value="All" Selected="true" />
                            <telerik:RadComboBoxItem Text="F" Value="F" />
                            <telerik:RadComboBoxItem Text="M" Value="M" />
                        </Items>
                    </telerik:RadComboBox>
                    <br />
                    <br />

                    <asp:Label runat="server" ID="lblRace" Text="Race:" AssociatedControlID="rcbRace" />
                    <br />
                    <telerik:RadComboBox ID="rcbRace" runat="server" TabIndex="0" Width="100%" AccessibilityMode="true">
                    </telerik:RadComboBox>
                    <br />
                    <br />
                    <asp:Label runat="server" ID="lblProviderName" Text="Provider Name (contains):" AssociatedControlID="rtbProviderName" />
                    <br />
                    <telerik:RadTextBox ID="rtbProviderName" runat="server" TextMode="SingleLine" Width="100%" TabIndex="0" />
                    <br />
                    <br />
                    <asp:Label runat="server" ID="lblFollowUpAction" Text="Follow-Up Action:" AssociatedControlID="rcbFollowUpActionStatus" />
                    <br />
                    <telerik:RadComboBox ID="rcbFollowUpActionStatus" runat="server" TabIndex="0" Width="100%" AccessibilityMode="true">
                        <Items>
                            <telerik:RadComboBoxItem Text="All" Value="All" Selected="true" />
                            <telerik:RadComboBoxItem Text="Has Follow-Up Action" Value="Y" />
                            <telerik:RadComboBoxItem Text="No Follow-Up Action" Value="N" />
                        </Items>
                    </telerik:RadComboBox>
                    <br />
                    <br />
                    <table style="padding: 0px;">
                        <tr>
                            <td style="padding-right: 5px;">
                                <telerik:RadButton ID="btnRunReportBottom" runat="server" Enabled="false" Text="Run Report" TabIndex="0" OnClick="btnRunReport_Click" OnClientClicking="validatePage" />
                            </td>
                            <td style="padding-right: 5px;">
                                <telerik:RadButton ID="btnClearReportBottom" runat="server" Text="Reset" TabIndex="0" OnClick="btnClearReport_Click" OnClientClicked="ShowProgress" />
                            </td>
                        </tr>
                    </table>
                    <br />
                    <!--End Filters-->
                </asp:Panel>
            </td>
            <td style="vertical-align: top; padding-right: 10px;">
                <table style="width:100%;">
                    <tr>
                        <td style="width:50%; text-align:left; vertical-align:top;">
                            ** MMG = Mammogram<br />
                            ** Chemo = Chemotherapy
                        </td>
                        <td style="width:50%; text-align:right; vertical-align:top;">
                            Data Last Refreshed: <asp:Label ID="lblLastRefreshDate" runat="server" Text="" />
                        </td>
                    </tr>
                </table>
                <asp:HiddenField ID="hfCustomReportName" runat="server" />

                <div style="text-align: right;">
                    <asp:Label ID="lblExecutionTimeLabel" runat="server" AssociatedControlID="lblExecutionTime" Text="Execution Time:" ToolTip="Report Execution Time" />
                    <asp:Label ID="lblExecutionTime" runat="server" ToolTip="Length of time to execute report" />
                </div>

                <!--Start Export Buttons -->
                <asp:Button runat="server" ID="btnExcel" Text="Export to Excel" CommandName="XLS" OnClientClick="return getCustomReportName(this.name);" OnClick="btnExport_Click" TabIndex="0" />
                <asp:Button runat="server" ID="btnCSV" Text="Export to CSV" CommandName="CSV" OnClientClick="return getCustomReportName(this.name);" OnClick="btnExport_Click" TabIndex="0" />
                <asp:Button runat="server" ID="btnPDF" Text="Export to PDF" CommandName="PDF" OnClientClick="return getCustomReportName(this.name);" OnClick="btnExport_Click" TabIndex="0" Visible="true" />
                <asp:Button runat="server" ID="btnWord" Text="Export to Word" CommandName="DOC" OnClientClick="return getCustomReportName(this.name);" OnClick="btnExport_Click" TabIndex="0" />
                <!--End Export Buttons -->

                <!--Start Grid-->
                <telerik:RadGrid ID="rgBreastCancer" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true"
                    EnableLinqExpressions="false" ShowStatusBar="true"
                    TabIndex="0" OnNeedDataSource="rgBreastCancer_NeedDataSource" OnItemDataBound="rgBreastCancer_ItemDataBound" OnSortCommand="rgBreastCancer_SortCommand"
                    OnItemCreated="rgBreastCancer_ItemCreated" OnPageIndexChanged="rgBreastCancer_PageIndexChanged">
                    <MasterTableView AutoGenerateColumns="false" DataKeyNames="PatientSID" ClientDataKeyNames="PatientSID" AllowMultiColumnSorting="false" AllowCustomSorting="true"
                        AllowFilteringByColumn="false" AllowSorting="true" AllowPaging="true" CommandItemDisplay="None" PagerStyle-AlwaysVisible="true"
                        TabIndex="0" Width="100%" PageSize="20" ShowHeadersWhenNoRecords="true">
                        <NoRecordsTemplate>
                            <table>
                                <tr>
                                    <td>
                                        <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-size: 12pt; font-weight: normal;" TabIndex="0">
                                                Either no results were found with the selected parameters or the initial search has not been performed yet.  Please select criteria and click on the "Run Report" button
                                        </asp:Label></td>
                                </tr>
                            </table>
                        </NoRecordsTemplate>
                        <SortExpressions>
                            <telerik:GridSortExpression FieldName="Patient_Name" SortOrder="Ascending" />
                        </SortExpressions>
                        <ColumnGroups>
                            <telerik:GridColumnGroup HeaderText="Team / Provider" Name="provider" />
                            <telerik:GridColumnGroup HeaderText="Patient" Name="patient" />
                            <telerik:GridColumnGroup HeaderText="Breast Cancer" Name="breastCancer" />
                            <telerik:GridColumnGroup HeaderText="Treatment" Name="treatment" />
                        </ColumnGroups>
                        <Columns>
                            <telerik:GridTemplateColumn DataField="PatientSID" UniqueName="PatientSID" HeaderText="Details" HeaderTooltip="Click for More Details"
                                HeaderButtonType="None" AllowFiltering="false" AllowSorting="false" Exportable="false" ShowSortIcon="false" ShowFilterIcon="false">
                                <ItemTemplate>
                                    <a href="PatientDetails.aspx?id=<%# DataBinder.Eval(Container, "DataItem.PatientSID")%>" title="Click for patient details for <%# DataBinder.Eval(Container, "DataItem.Patient_Name")%>">Details</a>
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>

                            <telerik:GridBoundColumn DataField="PCMMTeam" UniqueName="PCMMTeam" HeaderText="PACT Team" HeaderTooltip="PACT Team Column" ColumnGroupName="provider"
                                HeaderButtonType="None" AllowFiltering="false" />

                            <telerik:GridBoundColumn DataField="PCMMStaffName" UniqueName="PCMMStaffName" HeaderText="Provider Name" HeaderTooltip="Provider Name Column" ColumnGroupName="provider"
                                HeaderButtonType="None" AllowFiltering="false" EmptyDataText="Unassigned Provider" />

                            <telerik:GridBoundColumn DataField="Patient_Name" UniqueName="Patient_Name" HeaderText="Last Name, First" HeaderTooltip="Patient Name Column" ColumnGroupName="patient"
                                HeaderButtonType="None" AllowFiltering="false" />

                            <telerik:GridBoundColumn DataField="VAID" UniqueName="VAID_Report" HeaderText="VAID" HeaderTooltip="VAID Column" ColumnGroupName="patient"
                                HeaderButtonType="None" AllowFiltering="false" Exportable="true" />

                            <telerik:GridBoundColumn DataField="age" UniqueName="age" HeaderText="Age" HeaderTooltip="Age Column" ColumnGroupName="patient"
                                HeaderButtonType="None" AllowFiltering="false" />

                            <telerik:GridBoundColumn DataField="gender" UniqueName="gender" HeaderText="Gender" HeaderTooltip="Gender Column" ColumnGroupName="patient"
                                HeaderButtonType="None" AllowFiltering="false" />

                            <telerik:GridBoundColumn DataField="Race" UniqueName="Race" HeaderText="Race" HeaderTooltip="Race Column" ColumnGroupName="patient"
                                HeaderButtonType="None" AllowFiltering="false" />

                            <telerik:GridBoundColumn DataField="Zip" UniqueName="Zip" HeaderText="Zip Code" HeaderTooltip="Zip Code Column" ColumnGroupName="patient"
                                HeaderButtonType="None" AllowFiltering="false" />

                            <telerik:GridBoundColumn DataField="BreastCancerDx" UniqueName="BB_BreastCancerDx_Report" HeaderText="Breast Cancer Dx" HeaderTooltip="Breast Cancer Dx Column" ColumnGroupName="breastCancer"
                                HeaderButtonType="None" AllowFiltering="false" Visible="false" ConvertEmptyStringToNull="true" />
                            <telerik:GridTemplateColumn HeaderText="Breast Cancer Dx" DataField="BreastCancerDx" SortExpression="BreastCancerDx" ColumnGroupName="breastCancer"
                                AllowFiltering="false" UniqueName="BB_BreastCancerDx_GUI" HeaderButtonType="None">
                                <ItemTemplate>
                                    <asp:Label ID="lblBB_BreastCancerDx" runat="server" Text="View Breast Cancer Dx" ToolTip="Breast Cancer Dx Column"></asp:Label>
                                    <telerik:RadToolTip ID="rttBB_BreastCancerDx" runat="server" TargetControlID="lblBB_BreastCancerDx" RelativeTo="Element"
                                        Position="TopCenter" OffsetX="-10" OffsetY="-10" RenderInPageRoot="true" Width="400px"
                                        HideEvent="LeaveTargetAndToolTip" AutoCloseDelay="60000">
                                    </telerik:RadToolTip>&nbsp;
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>

                            <%--<telerik:GridBoundColumn DataField="Pathology" UniqueName="Pathology" HeaderText="Pathology Report" HeaderTooltip="Pathology Report Column" ColumnGroupName="breastCancer"
                                HeaderButtonType="None" AllowFiltering="false" />--%>

                            <telerik:GridBoundColumn DataField="Pathology" UniqueName="BB_Pathology_Report" HeaderText="Pathology Report" HeaderTooltip="Pathology Report Data Column" ColumnGroupName="breastCancer"
                                HeaderButtonType="None" AllowFiltering="false" Visible="false" ConvertEmptyStringToNull="true" />
                            <telerik:GridTemplateColumn HeaderText="Pathology Report Data" DataField="Pathology" SortExpression="Pathology" ColumnGroupName="breastCancer"
                                AllowFiltering="false" UniqueName="BB_Pathology_GUI" HeaderButtonType="None">
                                <ItemTemplate>
                                    <asp:Label ID="lblBB_Pathology" runat="server" Text="View Pathology Data"></asp:Label>
                                    <telerik:RadToolTip ID="rttBB_Pathology" runat="server" TargetControlID="lblBB_Pathology" RelativeTo="Element"
                                        Position="TopCenter" OffsetX="-10" OffsetY="-10" RenderInPageRoot="true" Width="400px"
                                        HideEvent="LeaveTargetAndToolTip" AutoCloseDelay="60000">
                                    </telerik:RadToolTip>&nbsp;
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>

                            <telerik:GridBoundColumn DataField="BreastCancerStage" UniqueName="BreastCancerStage" HeaderText="Stage" HeaderTooltip="Breast Cancer Stage Column" ColumnGroupName="breastCancer"
                                HeaderButtonType="None" AllowFiltering="false" ConvertEmptyStringToNull="true" />

                            <telerik:GridBoundColumn DataField="BRCAStatus" UniqueName="BB_BRCAStatus_Report" HeaderText="BRCA Status" HeaderTooltip="BRCA Status Column"
                                HeaderButtonType="None" AllowFiltering="false" Visible="false" ConvertEmptyStringToNull="true" />
                            <telerik:GridTemplateColumn HeaderText="BRCA Status" DataField="BRCAStatus" SortExpression="BRCAStatus"
                                AllowFiltering="false" UniqueName="BB_BRCAStatus_GUI" HeaderButtonType="None">
                                <ItemTemplate>
                                    <asp:Label ID="lblBB_BRCAStatus" runat="server" Text="View BRCA Data"></asp:Label>
                                    <telerik:RadToolTip ID="rttBB_BRCAStatus" runat="server" TargetControlID="lblBB_BRCAStatus" RelativeTo="Element"
                                        Position="TopCenter" OffsetX="-10" OffsetY="-10" RenderInPageRoot="true" Width="400px"
                                        HideEvent="LeaveTargetAndToolTip" AutoCloseDelay="60000">
                                    </telerik:RadToolTip>&nbsp;
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>

                            <telerik:GridBoundColumn DataField="NofificationStatement" UniqueName="BB_NofificationStatement_Report" HeaderText="Follow Up Notification" HeaderTooltip="Follow Up Notification Column" 
                                HeaderButtonType="None" AllowFiltering="false" Visible="false" ConvertEmptyStringToNull="true" Exportable="true" />
                            <telerik:GridTemplateColumn HeaderText="Follow Up Notification" HeaderTooltip="Follow Up Notification Column" DataField="NofificationStatement" SortExpression="NofificationStatement"
                                AllowFiltering="false" UniqueName="BB_NofificationStatement_GUI" HeaderButtonType="None" Exportable="false">
                                <ItemTemplate>
                                    <asp:Label ID="lblBB_NofificationStatement" runat="server" Text="Follow-Up Notification"></asp:Label>
                                    <telerik:RadToolTip ID="rttBB_NofificationStatement" runat="server" TargetControlID="lblBB_NofificationStatement" RelativeTo="Element"
                                        Position="TopCenter" OffsetX="-10" OffsetY="-10" RenderInPageRoot="true" Width="400px"
                                        HideEvent="LeaveTargetAndToolTip" AutoCloseDelay="60000">
                                        <%# DataBinder.Eval(Container, "DataItem.NofificationStatement")%>
                                    </telerik:RadToolTip>&nbsp;
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>

                            <telerik:GridBoundColumn DataField="FollowUpActionStatement" UniqueName="BB_FollowUpActionStatement_Report" HeaderText="Follow Up Action" HeaderTooltip="Follow Up Action Column" 
                                HeaderButtonType="None" AllowFiltering="false" Visible="false" ConvertEmptyStringToNull="true" Exportable="true" />
                            <telerik:GridTemplateColumn HeaderText="Follow Up Action" HeaderTooltip="Follow Up Action Column" DataField="FollowUpActionStatement" SortExpression="FollowUpActionStatement"
                                AllowFiltering="false" UniqueName="BB_FollowUpActionStatement_GUI" HeaderButtonType="None" Exportable="false">
                                <ItemTemplate>
                                    <asp:Label ID="lblBB_FollowUpActionStatement" runat="server" Text="Follow-Up Action"></asp:Label>
                                    <telerik:RadToolTip ID="rttBB_FollowUpActionStatement" runat="server" TargetControlID="lblBB_FollowUpActionStatement" RelativeTo="Element"
                                        Position="TopCenter" OffsetX="-10" OffsetY="-10" RenderInPageRoot="true" Width="400px"
                                        HideEvent="LeaveTargetAndToolTip" AutoCloseDelay="60000">
                                        <%# DataBinder.Eval(Container, "DataItem.FollowUpActionStatement")%>
                                    </telerik:RadToolTip>&nbsp;
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>

                            <telerik:GridBoundColumn DataField="TumorRegData" UniqueName="BB_TumorRegData_Report" HeaderText="Tumor Registry Data" HeaderTooltip="Tumor Registry Data Column"
                                HeaderButtonType="None" AllowFiltering="false" Visible="false" ConvertEmptyStringToNull="true" />
                            <telerik:GridTemplateColumn HeaderText="Tumor Registry Data" DataField="TumorRegData" SortExpression="TumorRegData"
                                AllowFiltering="false" UniqueName="BB_TumorRegData_GUI" HeaderButtonType="None">
                                <ItemTemplate>
                                    <asp:Label ID="lblBB_TumorRegData" runat="server" Text="View Tumor Registry Data"></asp:Label>
                                    <telerik:RadToolTip ID="rttBB_TumorRegData" runat="server" TargetControlID="lblBB_TumorRegData" RelativeTo="Element"
                                        Position="TopCenter" OffsetX="-10" OffsetY="-10" RenderInPageRoot="true" Width="400px"
                                        HideEvent="LeaveTargetAndToolTip" AutoCloseDelay="60000">
                                    </telerik:RadToolTip>&nbsp;
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>

                            <%-- Chemotherapy --%>
                            <telerik:GridBoundColumn DataField="Chemotherapy" UniqueName="BB_Chemotherapy_Report" HeaderText="Chemo Data" HeaderTooltip="Chemotherapy Data Column"
                                HeaderButtonType="None" AllowFiltering="false" Visible="false" ConvertEmptyStringToNull="true" ColumnGroupName="treatment" />
                            <telerik:GridTemplateColumn HeaderText="Chemo Data" DataField="Chemotherapy" SortExpression="Chemotherapy" HeaderTooltip="Chemotherapy Data Column"
                                AllowFiltering="false" UniqueName="BB_Chemotherapy_GUI" HeaderButtonType="None" ColumnGroupName="treatment">
                                <ItemTemplate>
                                    <asp:Label ID="lblBB_Chemotherapy" runat="server" Text="View Chemo Data"></asp:Label>
                                    <telerik:RadToolTip ID="rttBB_Chemotherapy" runat="server" TargetControlID="lblBB_Chemotherapy" RelativeTo="Element"
                                        Position="TopCenter" OffsetX="-10" OffsetY="-10" RenderInPageRoot="true" Width="400px"
                                        HideEvent="LeaveTargetAndToolTip" AutoCloseDelay="60000">
                                    </telerik:RadToolTip>&nbsp;
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>

                            <%-- Radiation --%>
                            <telerik:GridBoundColumn DataField="Radiation" UniqueName="BB_Radiation_Report" HeaderText="Radiation Data" HeaderTooltip="Radiation Data Column"
                                HeaderButtonType="None" AllowFiltering="false" Visible="false" ConvertEmptyStringToNull="true" ColumnGroupName="treatment" />
                            <telerik:GridTemplateColumn HeaderText="Radiation Data" DataField="Radiation" SortExpression="Radiation"
                                AllowFiltering="false" UniqueName="BB_Radiation_GUI" HeaderButtonType="None" ColumnGroupName="treatment">
                                <ItemTemplate>
                                    <asp:Label ID="lblBB_Radiation" runat="server" Text="View Radiation Data"></asp:Label>
                                    <telerik:RadToolTip ID="rttBB_Radiation" runat="server" TargetControlID="lblBB_Radiation" RelativeTo="Element"
                                        Position="TopCenter" OffsetX="-10" OffsetY="-10" RenderInPageRoot="true" Width="400px"
                                        HideEvent="LeaveTargetAndToolTip" AutoCloseDelay="60000">
                                    </telerik:RadToolTip>&nbsp;
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>

                            <%-- HormoneTherapy --%>
                            <telerik:GridBoundColumn DataField="HormoneTherapy" UniqueName="BB_HormoneTherapy_Report" HeaderText="Hormone Therapy Data" HeaderTooltip="Hormone Therapy Data Column"
                                HeaderButtonType="None" AllowFiltering="false" Visible="false" ConvertEmptyStringToNull="true" ColumnGroupName="treatment" />
                            <telerik:GridTemplateColumn HeaderText="Hormone Therapy Data" DataField="HormoneTherapy" SortExpression="HormoneTherapy"
                                AllowFiltering="false" UniqueName="BB_HormoneTherapy_GUI" HeaderButtonType="None" ColumnGroupName="treatment">
                                <ItemTemplate>
                                    <asp:Label ID="lblBB_HormoneTherapy" runat="server" Text="View Hormone Therapy Data"></asp:Label>
                                    <telerik:RadToolTip ID="rttBB_HormoneTherapy" runat="server" TargetControlID="lblBB_HormoneTherapy" RelativeTo="Element"
                                        Position="TopCenter" OffsetX="-10" OffsetY="-10" RenderInPageRoot="true" Width="400px"
                                        HideEvent="LeaveTargetAndToolTip" AutoCloseDelay="60000">
                                    </telerik:RadToolTip>&nbsp;
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>
                        </Columns>
                    </MasterTableView>
                    <ClientSettings AllowKeyboardNavigation="true">
                        <ClientEvents OnCommand="ShowProgress" />
                    </ClientSettings>
                </telerik:RadGrid>
                <!--End Grid-->
            </td>
        </tr>
    </table>

    <telerik:RadNotification ID="RadNotification1" runat="server" Width="300" Animation="Slide" EnableRoundedCorners="true" EnableShadow="true" LoadContentOn="PageLoad" Title="Validation errors"
        TitleIcon="warning" AutoCloseDelay="PORT" Position="Center">
        <ContentTemplate>
            <asp:ValidationSummary ID="ValidationSummary1" runat="server" ValidationGroup="FilterValidation" />
        </ContentTemplate>
    </telerik:RadNotification>

    <div class="loading" align="center">
        Loading. Please wait.<br />
        <br />
        <img src="../images/ajax-loader.gif" alt="Loading Image" />
    </div>

    <div id="dialog" title="Enter Custom Name for Report:">
        <p>
            Please enter a custom name for report or leave default:<br />
            <input type="text" id="txtCustomName" value="<%=reportName%>" style="width:100%;" />
        </p>
    </div>

</asp:Content>