﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="BreastCancer_PD.ascx.cs" Inherits="Reports_Controls_BreastCancer_PD" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>

<asp:Panel ID="Panel1" runat="server" GroupingText="<b>Team / Provider</b>">
    <table id="Table5" cellspacing="2" cellpadding="1" width="100%" border="0" rules="none"
            style="table-layout: fixed; margin-left: 15px;">
        <tr>
            <td style="width: 120px">
                <asp:Label ID="Label2" runat="server" Text="PACT Team:" Font-Bold="false" AssociatedControlID="lbName" />
            </td>
            <td style="text-align:left">
                <asp:Label ID="lbName" Text='<%# DataBinder.Eval( Container, "DataItem.team_name" ) %>'
                        runat="server" TabIndex="101"></asp:Label>
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label ID="Label3" runat="server" Text="Provider Name:" Font-Bold="false" AssociatedControlID="lbProviderName" />
            </td>
            <td>
                <asp:Label ID="lbProviderName" Text='<%# DataBinder.Eval( Container, "DataItem.primary_care_physician" ) %>'
                    runat="server" TabIndex="102"></asp:Label>
            </td>
        </tr>
    </table>    
</asp:Panel>

<asp:Panel ID="Panel2" runat="server" GroupingText="<b>Patient</b>">
    <table id="Table4" cellspacing="2" cellpadding="1" width="100%" border="0" rules="none"
            style="table-layout: fixed; margin-left: 15px;">
        <tr>
            <td style="width: 120px">
                <asp:Label ID="Label4" runat="server" Text="Patient Name:" Font-Bold="false" AssociatedControlID="lbPatientName" />
            </td>
            <td style="text-align:left">
                <asp:Label ID="lbPatientName" Text='<%# DataBinder.Eval( Container, "DataItem.Patient_name" ) %>'
                                            runat="server" TabIndex="104"></asp:Label>
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label ID="Label6" runat="server" Text="Patient Age:" Font-Bold="false" AssociatedControlID="lbPatientAge" />
            </td>
            <td style="text-align:left">
                <asp:Label ID="lbPatientAge" Text='<%# DataBinder.Eval( Container, "DataItem.age" ) %>'
                            runat="server" TabIndex="105" ReadOnly="true"></asp:Label>
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label ID="Label7" runat="server" Text="Patient Race:" Font-Bold="false" AssociatedControlID="lbPatientRace" />
            </td>
            <td style="text-align:left">
                <asp:Label ID="lbPatientRace" Text='<%# DataBinder.Eval( Container, "DataItem.race" ) %>'
                        runat="server" TabIndex="106" ReadOnly="true"></asp:Label> 
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label ID="Label5" runat="server" Text="Patient Last 4:" Font-Bold="false" AssociatedControlID="lbPatientSSN" />
            </td>
            <td style="text-align:left">
                <asp:Label ID="lbPatientSSN" Text='<%# DataBinder.Eval( Container, "DataItem.Patient_SSN" ) %>'
                        runat="server" TabIndex="107"></asp:Label> 
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label ID="Label8" runat="server" Text="Patient Gender:" Font-Bold="false" AssociatedControlID="lbPatientGender" />
            </td>
            <td style="text-align:left">
                <asp:Label ID="lbPatientGender" Text='<%# DataBinder.Eval( Container, "DataItem.Gender" ) %>'
                        runat="server" TabIndex="108"></asp:Label>
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label ID="Label16" runat="server" Text="Patient Zip:" Font-Bold="false" AssociatedControlID="lbPatientZip" />
            </td>
            <td style="text-align:left">
                <asp:Label ID="lbPatientZip" Text='<%# DataBinder.Eval( Container, "DataItem.patient_zip" ) %>'
                        runat="server" TabIndex="110"></asp:Label>
            </td>
        </tr>
    </table>
</asp:Panel>

<asp:Panel ID="Panel3" runat="server" GroupingText="<b>Diagnosis</b>">
    <table id="Table3" cellspacing="2" cellpadding="1" width="100%" border="0" rules="none"
            style="table-layout: fixed; margin-left: 15px;">
        <tr>
            <td style="width: 120px">
                <asp:Label ID="lblBcDiagnosis1" runat="server" Text="Breast Ca Dx:" Font-Bold="false" AssociatedControlID="lblBcDiagnosis" />
            </td>
            <td>
                <asp:Label ID="lblBcDiagnosis" Text='<%# configureLinkText("BC_", "ICD9BC", DataBinder.Eval(Container, "DataItem.ICD9BC").ToString()) %>'
                    runat="server" TabIndex="116"></asp:Label>                        
            </td>  
        </tr>
        <tr>
            <td>
                <asp:Label ID="Label9" runat="server" Text="Pathology Report:" Font-Bold="false" AssociatedControlID="lblPathologyReport" />
            </td>
            <td>
                <asp:Label ID="lblPathologyReport" Text='<%# configureLinkText("BC_", "Pathology_Report", DataBinder.Eval(Container, "DataItem.Pathology_Report").ToString()) %>'
                    runat="server" TabIndex="117"> </asp:Label>
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label ID="Label12" runat="server" Text="Pathology Report Date:" Font-Bold="false" AssociatedControlID="tbPathologyReportDate" />
            </td>
            <td>
                <asp:Label ID="tbPathologyReportDate" Text='<%# DataBinder.Eval( Container, "DataItem.Pathology_Report_Date", "{0:M/d/yyyy}" ) %>'
                    runat="server" TabIndex="118"></asp:Label>
            </td>
        </tr>     
        <tr>
            <td>
                <asp:Label ID="Label13" runat="server" Text="Stage:" Font-Bold="false" AssociatedControlID="tbStage" />
            </td>
            <td>
                <asp:Label ID="tbStage" Text='<%# DataBinder.Eval( Container, "DataItem.stage") %>'
                    runat="server" TabIndex="119"></asp:Label>
            </td>
        </tr>                
    </table>
</asp:Panel>

<asp:Panel ID="Panel4" runat="server" GroupingText="<b>Other</b>">
    <table id="Table6" cellspacing="2" cellpadding="1" width="100%" border="0" rules="none"
            style="table-layout: fixed; margin-left: 15px;">
        <tr>
            <td style="width: 120px">
                        <asp:Label ID="Label23" runat="server" Text="All Other Diagnosis:" Font-Bold="false" AssociatedControlID="lblIcd9Other" />
                    </td>
                    <td>
                        <asp:Label ID="lblIcd9Other" Text='<%# configureLinkText("BC_", "ICD9Other", DataBinder.Eval( Container, "DataItem.ICD9Other").ToString()) %>'
                            runat="server" TabIndex="120"></asp:Label>
                    </td>
                </tr>
                <tr>                    
                    <td>
                        <asp:Label ID="Label10" runat="server" Text="BRCA Status:" Font-Bold="false" AssociatedControlID="lbBrca" />
                    </td>
                    <td>
                        <asp:Label ID="lbBrca" Text='<%# DataBinder.Eval( Container, "DataItem.brca") %>'
                            runat="server" TabIndex="121"></asp:Label>
                    </td>
                </tr>
                <tr>                    
                    <td>
                        <asp:Label ID="Label1" runat="server" Text="Estrogen Receptor:" Font-Bold="false" AssociatedControlID="lbEstrogenReceptor" />
                    </td>
                    <td>
                        <asp:Label ID="lbEstrogenReceptor" Text='<%# DataBinder.Eval( Container, "DataItem.Estrogen_Receptor") %>'
                            runat="server" TabIndex="122">
                        </asp:Label>
                    </td>
                </tr>
                <tr>     
                    <td>
                        <asp:Label ID="Label19" runat="server" Text="Progestrogen Receptor:" Font-Bold="false" AssociatedControlID="lbProgestrogenReceptor" />
                    </td>
                    <td>
                        <asp:Label ID="lbProgestrogenReceptor" Text='<%# DataBinder.Eval( Container, "DataItem.Progesterone_Receptor") %>'
                            runat="server" TabIndex="123">
                        </asp:Label>
                    </td>    
                </tr>
                <tr>     
                    <td>
                        <asp:Label ID="Label18" runat="server" Text="HER2 by IHC:" Font-Bold="false" AssociatedControlID="lbHer2" />
                    </td>
                    <td>
                        <asp:Label ID="lbHer2" Text='<%# DataBinder.Eval( Container, "DataItem.her2") %>'
                            runat="server" TabIndex="124"></asp:Label>
                    </td>
                </tr>
            </table>
</asp:Panel>

<asp:Panel ID="Panel5" runat="server" GroupingText="<b>Treatment</b>">
    <table id="Table7" cellspacing="2" cellpadding="1" width="100%" border="0" rules="none"
            style="table-layout: fixed; margin-left: 15px;">
        <tr>
            <td style="width: 120px">
                <asp:Label ID="Label11" runat="server" Text="Chemotherapy:" Font-Bold="false" AssociatedControlID="lblChemotherapy" />
            </td>
            <td>
                <asp:Label ID="lblChemotherapy" Text='<%# configureLinkText("BC_", "Chemotherapy", DataBinder.Eval( Container, "DataItem.Chemotherapy").ToString()) %>'
                    runat="server" TabIndex="125"></asp:Label>
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label ID="Label17" runat="server" Text="Radiation Therapy:" Font-Bold="false" AssociatedControlID="lblRadiation" />
            </td>
            <td>
                <asp:Label ID="lblRadiation" Text='<%# configureLinkText("BC_", "Radiation", DataBinder.Eval( Container, "DataItem.Radiation").ToString()) %>'
                    runat="server" TabIndex="126"></asp:Label>
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label ID="Label20" runat="server" Text="Hormonal Therapy:" Font-Bold="false" AssociatedControlID="lblHormonal" />
            </td>
            <td>
                <asp:Label ID="lblHormonal" Text='<%# configureLinkText("BC_", "Hormonal", DataBinder.Eval( Container, "DataItem.Hormonal").ToString()) %>'
                    runat="server" TabIndex="127">
                </asp:Label>
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label ID="Label21" runat="server" Text="Medications:" Font-Bold="false" AssociatedControlID="lblAllMed" />
            </td>
            <td>
                <asp:Label ID="lblAllMed" Text='<%# configureLinkText("BC_", "AllMed", DataBinder.Eval( Container, "DataItem.AllMed").ToString()) %>'
                    runat="server" TabIndex="128">
                </asp:Label>
            </td>
        </tr>
    </table>
</asp:Panel>

<table id="Table2" cellspacing="2" cellpadding="1" width="100%" border="0" rules="none"
    style="table-layout: fixed; margin-left: 15px;">
    <!-- Done button -->
    <tr>
        <td>&nbsp;</td>
    </tr>
    <tr>
        <td align="center" colspan="2">
            <asp:Button ID="btnCancel" Text="Done" runat="server" CausesValidation="False"
                CommandName="Cancel"></asp:Button>
        </td>
    </tr>
    <tr>
        <td>&nbsp;</td>
    </tr>
</table>
