﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="ExportPatientDetails.aspx.cs" Inherits="Reports_Export_ExportPatientDetails" %>

<!DOCTYPE html>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Charting" TagPrefix="telerik" %>

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Patient Details Export</title>
    <style type="text/css">
        /**************************************
        * PATIENT DETAILS STYLES
        **************************************/
        .patientDetailsHeader {
            background-color: #00416c;
            height: 30px;
            font-size: 10pt;
            font-weight: bold;
            color: #FFFFFF;
            border: 0px solid #999999;
            vertical-align: middle;
            text-align: left;
        }

        .patientDetailsTable {
            border: 1px solid #999999;
        }

        .patientDetailsTableHeader {
            background-color: #f4f4f4;
            border-bottom: 1px solid #999999;
            font-weight: bold;
        }

        .patientDetailsScrollableContentArea {
            max-height: 200px;
            min-height: 50px;
            overflow: auto;
        }

        .patientDetailsRegion {
            padding: 5px;
            padding-left: 8px;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager ID="rsm1" runat="server" LoadScriptsBeforeUI="true">
            <Scripts>
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js" />
                <asp:ScriptReference Path="~/scripts/jQueryUI/jquery-ui.js" />
            </Scripts>
        </telerik:RadScriptManager>

        <asp:Panel ID="pnlPatientDetails" runat="server" CssClass="patientDetailsRegion">
            <table cellpadding="5" style="border: 1px solid #999999; width: 100%;">
                <tr>
                    <td colspan="4" style="background-color: #00416c; height: 30px; font-size: 10pt; font-weight: bold; color: #FFFFFF; border: 0px solid #999999; vertical-align: middle; text-align: left;">Patient Demographic Data
                    </td>
                </tr>
                <tr>
                    <td colspan="2" style="background-color: #eee; vertical-align: top;">Patient Name:
                    <br />
                        <asp:Label ID="lblPatientName" runat="server" ToolTip="Patient Name" />
                        <asp:Label ID="lblPatientSSN" runat="server" ToolTip="Last 4 of SSN" /><br />
                        <br />

                        Age:<br />
                        <asp:Label ID="lblPatientAge" runat="server" ToolTip="Patient Age" />
                        YRS.<br />
                        <br />

                        Race:<br />
                        <asp:Label ID="lblPatientRace" runat="server" ToolTip="Patient Race" /><br />
                        <br />

                        Gender:<br />
                        <asp:Label ID="lblPatientGender" runat="server" ToolTip="Patient Gender" /><br />
                        <br />

                        Is Veteran:<br />
                        <asp:Label ID="lblIsVeteran" runat="server" ToolTip="Is Patient a Veteran?" TabIndex="0" />
                        <br />

                    </td>
                    <td colspan="2" style="background-color: #eee; vertical-align: top;">Home:<br />
                        <asp:Label ID="lblHomePhone" runat="server" ToolTip="Home Residence Phone" /><br />
                        <br />

                        Work:<br />
                        <asp:Label ID="lblWorkPhone" runat="server" ToolTip="Work Phone" /><br />
                        <br />

                        Cell:<br />
                        <asp:Label ID="lblCellPhone" runat="server" ToolTip="Cell Phone" /><br />
                        <br />

                        Address:<br />
                        <asp:Label ID="lblPatientAddressInformation" runat="server" ToolTip="Patient Address Information" />
                    </td>
                </tr>
                <tr>
                    <td colspan="4"></td>
                </tr>
                <tr>
                    <td colspan="2" style="background-color: #00416c; height: 30px; font-size: 10pt; font-weight: bold; color: #FFFFFF; border: 0px solid #999999; vertical-align: middle; text-align: left;">Team</td>
                    <td colspan="2" style="background-color: #00416c; height: 30px; font-size: 10pt; font-weight: bold; color: #FFFFFF; border: 0px solid #999999; vertical-align: middle; text-align: left;">Upcoming Appointment(s)</td>
                </tr>
                <tr>
                    <td colspan="2" style="background-color: #eee; vertical-align: top;">PACT Team:<br />
                        <asp:Label ID="lblTeamName" runat="server" ToolTip="PACT Team Name" />
                        <br />
                        <br />
                        Provider:<br />
                        <asp:Label ID="lblProviderName" runat="server" ToolTip="Provider Name" />
                    </td>
                    <td colspan="2" style="background-color: #eee; vertical-align: top;">
                        <asp:Label ID="lblNextAppointment" runat="server" ToolTip="Next Appointment(s)" />
                        <br />
                    </td>
                </tr>
                <tr>
                    <td colspan="4"></td>
                </tr>
                <tr>
                    <td colspan="2" style="background-color: #00416c; height: 30px; font-size: 10pt; font-weight: bold; color: #FFFFFF; border: 0px solid #999999; vertical-align: middle; text-align: left;">Mammogram Compliance</td>
                    <td colspan="2" style="background-color: #00416c; height: 30px; font-size: 10pt; font-weight: bold; color: #FFFFFF; border: 0px solid #999999; vertical-align: middle; text-align: left;">Mammogram Health Factors</td>
                </tr>
                <tr>
                    <td colspan="2" style="background-color: #eee; vertical-align: top;">Mammogram Screening Compliance<br />
                        <asp:Label ID="lblMMGCompliance" runat="server" ToolTip="Mammogram Screening Compliance" /><br />
                        <br />

                        Last MMG Date:<br />
                        <asp:Label ID="lblDateLastMMG" runat="server" ToolTip="Last MMG Date" /><br />
                        <br />

                        Last MMG BIRAD:<br />
                        <asp:Label ID="lblLastMMGScore" runat="server" ToolTip="Last MMG BIRAD Score" />
                        <br />
                        <br />

                        Next screening date:<br />
                        <asp:Label ID="lblDateNextMMGDue" runat="server" ToolTip="Next screening date" />
                    </td>
                    <td colspan="2" style="background-color: #eee; vertical-align: top;">Had Bilateral Mastectomy:<br />
                        <asp:Label ID="lblHadBilateralMast" runat="server" ToolTip="Did patient have a bilateral mastectomy?" /><br />
                        <br />

                        Has Terminal Health Factor:<br />
                        <asp:Label ID="lblHasATerminalHealthFactor" runat="server" ToolTip="Does patient have a terminal health factor?" /><br />
                        <br />

                        Has MMG Exclusion Health Factor:<br />
                        <asp:Label ID="lblHasMammogramExclusionHealthFactor" runat="server" ToolTip="Does patient have a mammogram exclusion health factor?" /><br />
                        <br />

                        MMG Screening Frequency:<br />
                        <asp:Label ID="lblMammogramScreenFreqHealthFactor" runat="server" ToolTip="Does patient have a mammogram screening frequency health factor?" /><br />
                        <br />

                        Date of MMG Screening Frequency:<br />
                        <asp:Label ID="lblDateOfMammogramScreenFreqHealthFactor" runat="server" ToolTip="The patient's mammogram screening frequency health factor date?" /><br />
                    </td>
                </tr>
                <tr>
                    <td colspan="4"></td>
                </tr>
                <tr>
                    <td colspan="2" style="width: 50%; background-color: #00416c; height: 30px; font-size: 10pt; font-weight: bold; color: #FFFFFF; border: 0px solid #999999; vertical-align: middle; text-align: left;">Radiology History
                    </td>
                    <td colspan="2" style="width: 50%; background-color: #00416c; height: 30px; font-size: 10pt; font-weight: bold; color: #FFFFFF; border: 0px solid #999999; vertical-align: middle; text-align: left;">Biopsies / Surgeries
                    </td>
                </tr>
                <tr>
                    <td colspan="2" style="background-color: #eee; vertical-align: top;">
                        <asp:Label ID="lblRadiologyData" runat="server" />
                    </td>
                    <td colspan="2" style="background-color: #eee; vertical-align: top;">
                        <asp:Label ID="lblBiopsySurgery" runat="server" />
                    </td>
                </tr>
                <tr>
                    <td colspan="4"></td>
                </tr>
                <tr>
                    <td colspan="2" style="background-color: #00416c; height: 30px; font-size: 10pt; font-weight: bold; color: #FFFFFF; border: 0px solid #999999; vertical-align: middle; text-align: left;">Tumor Registry Data
                    </td>
                    <td colspan="2" style="background-color: #00416c; height: 30px; font-size: 10pt; font-weight: bold; color: #FFFFFF; border: 0px solid #999999; vertical-align: middle; text-align: left;">BCR Diagnosis History
                    </td>
                </tr>
                <tr>
                    <td colspan="2" style="background-color: #eee; vertical-align: top;">
                        <asp:Label ID="lblTumorRegistryData" runat="server" />
                    </td>
                    <td colspan="2" style="background-color: #eee; vertical-align: top;">
                        <asp:Label ID="lblDiagnosisHistory" runat="server" />
                    </td>
                </tr>
                <tr>
                    <td colspan="4"></td>
                </tr>
                <tr>
                    <td colspan="4" style="background-color: #00416c; height: 30px; font-size: 10pt; font-weight: bold; color: #FFFFFF; border: 0px solid #999999; vertical-align: middle; text-align: left;">Treatment
                    </td>
                </tr>
                <tr>
                    <td colspan="2" style="background-color: #eee; vertical-align: top;">
                        <strong>Chemotherapy</strong><br />
                        <br />
                        <asp:Label ID="lblChemotherapyData" runat="server" />
                    </td>
                    <td colspan="2" style="background-color: #eee; vertical-align: top;">
                        <strong>Radiation Therapy</strong><br />
                        <br />
                        <asp:Label ID="lblRadiationTherapy" runat="server" />
                    </td>
                </tr>
                <tr>
                    <td colspan="2" style="background-color: #eee; vertical-align: top;">
                        <strong>Hormonal Therapy</strong><br />
                        <br />
                        <asp:Label ID="lblHormonalTherapy" runat="server" />
                    </td>
                    <td colspan="2" style="background-color: #eee; vertical-align: top;">
                        <strong>Medications</strong><br />
                        <br />
                        <asp:Label ID="lblMedications" runat="server" />
                    </td>
                </tr>
                <tr>
                    <td colspan="2" style="background-color: #00416c; height: 30px; font-size: 10pt; font-weight: bold; color: #FFFFFF; border: 0px solid #999999; vertical-align: middle; text-align: left;">Co-Morbidities (Based on Problem List Diagnoses)</td>
                    <td colspan="2" style="background-color: #00416c; height: 30px; font-size: 10pt; font-weight: bold; color: #FFFFFF; border: 0px solid #999999; vertical-align: middle; text-align: left;">Upcoming Orders</td>
                </tr>
                <tr>
                    <td colspan="2" style="background-color: #eee; vertical-align: top;">
                        <asp:Label ID="lblCoMorbidities" runat="server" />
                    </td>
                    <td colspan="2" style="background-color: #eee; vertical-align: top;">
                        <asp:Label ID="lblUpcomingOrders" runat="server" />
                    </td>
                </tr>
                <%--<tr>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
            </tr>
            <tr>
                <td colspan="2"></td>
                <td colspan="2"></td>
            </tr>--%>
            </table>
        </asp:Panel>
    </form>
</body>
</html>
