﻿<%@ Page Title="All Mammograms with Bi-RADS Distribution Aggregate Report" Language="C#" MasterPageFile="~/Registry.master" AutoEventWireup="true" CodeFile="MammoBiRadDistribution_Agg_Rpt.aspx.cs" Inherits="Reports_MammoBiRadDistribution_Agg_Rpt" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Charting" TagPrefix="telerik" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    <link href="../scripts/jQueryUI/jquery-ui.css" rel="stylesheet" />
    <link href="../scripts/jQueryUI/jquery-ui.structure.css" rel="stylesheet" />
    <link href="../scripts/jQueryUI/jquery-ui.theme.css" rel="stylesheet" />
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder" runat="Server">
    <telerik:RadCodeBlock runat="server" ID="rcb1">
        <script type="text/javascript">
            function ShowProgress() {
                setTimeout(function () {
                    var modal = $('<div />');
                    modal.addClass("modal");
                    $('body').append(modal);
                    var loading = $(".loading");
                    loading.show();
                    var top = Math.max($(window).height() / 2 - loading[0].offsetHeight / 2, 0);
                    var left = Math.max($(window).width() / 2 - loading[0].offsetWidth / 2, 0);
                    loading.css({ top: top, left: left });
                }, 200);
            }

            // Function called on Grid Commands - on sort - force grid to page 1.
            function OnGridCommand(sender, eventArgs) {
                ShowProgress();

                if (eventArgs.get_commandName() == "Sort") {
                    // make grid go to first page ... 
                    var grid = $find('<%= rgAllMammos.ClientID %>');
                    var masterTableView = grid.get_masterTableView();
                    masterTableView.set_currentPageIndex(0);
                }
            }

            function OnClientClicking(button, args) {
                window.location = button.get_navigateUrl();
                args.set_cancel(true);
            }

            $(function () {
                $("#dialog").dialog(
                    {
                        autoOpen: false,
                        height: 300,
                        width: 350,
                        modal: true
                    });

                $('#txtCustomName').on('keypress', function (event) {
                    var regex = new RegExp("^[a-zA-Z0-9_ -]+$");
                    var key = String.fromCharCode(!event.charCode ? event.which : event.charCode);
                    if (!regex.test(key)) {
                        event.preventDefault();
                        return false;
                    }
                });
            });

            function getCustomReportName(uniqueID) {
                $('#dialog').dialog('option', 'buttons',
                {
                    "OK": function () {
                        $("#<%=hfCustomReportName.ClientID%>").val($("#txtCustomName").val());

                        __doPostBack(uniqueID, '');
                        $(this).dialog("close");

                        $("#txtCustomName").val('<%=reportName%>');
                    },
                    "Cancel": function () { $(this).dialog("close"); }
                });

                $('#dialog').dialog('open');

                return false;
            }

            // Date Functions
            function startDateSelected(sender, e) {
                try {
                    var endDate = $find("<%=rdpEndDate.ClientID%>");

                    if (e.get_newDate() != null) {
                        //alert("OnDateSelected: " + e.get_newDate().toDateString() + " selected in " + sender.get_id() + "<br />");
                        // set end Date min to this value
                        endDate.set_minDate(e.get_newDate());

                        if (endDate.get_selectedDate() < e.get_newDate()) {
                            endDate.set_selectedDate(e.get_newDate());
                        }
                    }
                    else {
                        //alert("OnDateSelected: Date cleared in " + sender.get_id() + "<br />");
                    }
                }
                catch (ex) {
                    // doesn't have e.get_newDate()
                }
            }

            function endDateSelected(sender, e) {
                // find the start date ... ensure it is selected
                var startDate = $find("<%=rdpStartDate.ClientID%>");

                var selectedDate = startDate.get_selectedDate();

                if (selectedDate == null) {
                    alert("Start Date must be selected first!");
                    return false;
                }
            }


            function validatePage(sender, args) {
                if (Page_ClientValidate("FilterValidation")) { //validate using above validation controls group
                    //validation return true section
                    ShowProgress();
                }
                else {
                    //validation return false section
                    $find("<%=RadNotification1.ClientID %>").show();
                    args.set_cancel(true);
                }
            }

            function endDateError(sender, args) {
                var startDate = $find("<%=rdpStartDate.ClientID%>");
                var endDate = $find("<%=rdpEndDate.ClientID%>");

                var selectedStartDate = startDate.get_selectedDate();

                endDate.set_selectedDate(selectedStartDate);
                alert("End date must be after Start Date");
            }

            function OnClientDropDownClosedHandler(sender, eventArgs) {
                var uniqueID = '<%=rcbVisn.ClientID%>';
                __doPostBack(uniqueID, '');
            }

        </script>
    </telerik:RadCodeBlock>

    <telerik:RadSkinManager ID="QsfSkinManager" runat="server" ShowChooser="false" Skin="Office2010Blue" />

    <table style="width: 100%;">
        <tr>
            <td style="padding-left: 10px; padding-right: 10px; padding-top: 4px; width: 300px; vertical-align: top; background-color: #F5F5F5;">
                <asp:Panel ID="pnlAdvancedSearch" runat="server">
                    <!--Start Filters-->
                    <h2>Search Filters:</h2>
                    <br />
                    <table style="padding: 0px;">
                        <tr>
                            <td style="padding-right: 5px;">
                                <telerik:RadButton ID="btnRunReportTop" runat="server" Enabled="false" Text="Run Report" TabIndex="0" OnClick="btnRunReport_Click" OnClientClicking="validatePage" />
                            </td>
                            <td style="padding-right: 5px;">
                                <telerik:RadButton ID="btnClearReportTop" runat="server" Text="Reset" TabIndex="0" OnClick="btnClearReport_Click" OnClientClicked="ShowProgress" />
                            </td>
                        </tr>
                    </table>
                    <br />
                    <asp:Label runat="server" ID="lblVisn" Text="Select VISN(s):" ToolTip="Select VISN(s) for report." AssociatedControlID="rcbVisn" /><br />
                    <telerik:RadComboBox ID="rcbVisn" runat="server" Width="100%" TabIndex="0" AutoPostBack="true" CheckBoxes="true" EnableCheckAllItemsCheckBox="true" EmptyMessage="VISN Selection"
                        OnSelectedIndexChanged="rcbVisn_SelectedIndexChanged" OnClientDropDownClosed="OnClientDropDownClosedHandler" OnClientSelectedIndexChanged="ShowProgress" AccessibilityMode="true" ToolTip="VISN Selection" AccessKey="V" />
                    <br />
                    <br />

                    <asp:Label runat="server" ID="lblStartDate" Text="Start Date:" AssociatedControlID="rdpStartDate" /><br />
                    <telerik:RadDatePicker ID="rdpStartDate" runat="server" ZIndex="30001" Width="100%" TabIndex="0" ShowPopupOnFocus="false" ClientEvents-OnDateSelected="startDateSelected" AccessKey="D">
                        <Calendar ID="calStartDate" runat="server" EnableKeyboardNavigation="true"></Calendar>
                        <DateInput ID="DateInputStartDate" runat="server" ToolTip="Start Date Input"></DateInput>
                    </telerik:RadDatePicker>
                    <asp:RequiredFieldValidator runat="server" ID="rfvStartDate" ValidationGroup="FilterValidation" ControlToValidate="rdpStartDate" Enabled="true" Display="Dynamic" ErrorMessage="* Start Date is required for custom range"></asp:RequiredFieldValidator>
                    <br />
                    <br />

                    <asp:Label runat="server" ID="lblEndDate" Text="End Date:" AssociatedControlID="rdpEndDate" /><br />
                    <telerik:RadDatePicker ID="rdpEndDate" runat="server" ZIndex="30001" TabIndex="0" Width="100%" ShowPopupOnFocus="false" ClientEvents-OnDateSelected="endDateSelected" DateInput-ClientEvents-OnError="endDateError" AccessKey="E">
                        <Calendar ID="calEndDate" runat="server" EnableKeyboardNavigation="true"></Calendar>
                        <DateInput ID="DateInputEndDate" runat="server" ToolTip="End Date Input"></DateInput>
                    </telerik:RadDatePicker>
                    <asp:RequiredFieldValidator runat="server" ID="rfvEndDate" ControlToValidate="rdpEndDate" ValidationGroup="FilterValidation" Enabled="true" Display="Dynamic" ErrorMessage="* End Date is required for custom range"></asp:RequiredFieldValidator>
                    <br />
                    <br />

                    <asp:Label runat="server" ID="Label1" Text="Age Restriction:" AssociatedControlID="rddlAgeRestriction" />
                    <br />
                    <telerik:RadComboBox ID="rddlAgeRestriction" runat="server" TabIndex="0" Width="100%" AccessibilityMode="true">
                        <Items>
                            <telerik:RadComboBoxItem Text="All" Value="All" Selected="true" />
                            <telerik:RadComboBoxItem Text="0-30" Value="0-30" />
                            <telerik:RadComboBoxItem Text="31-40" Value="31-40" />
                            <telerik:RadComboBoxItem Text="41-50" Value="41-50" />
                            <telerik:RadComboBoxItem Text="51-60" Value="51-60" />
                            <telerik:RadComboBoxItem Text="61-64" Value="61-64" />
                            <telerik:RadComboBoxItem Text="65-74" Value="65-74" />
                            <telerik:RadComboBoxItem Text="Over 74" Value="Over 74" />
                        </Items>
                    </telerik:RadComboBox>
                    <br />
                    <br />

                    <asp:Label runat="server" ID="lblGender" Text="Gender:" AssociatedControlID="rcbGender" />
                    <br />
                    <telerik:RadComboBox ID="rcbGender" runat="server" Width="100%" TabIndex="0" AccessibilityMode="true">
                        <Items>
                            <telerik:RadComboBoxItem Text="All" Value="All" Selected="true" />
                            <telerik:RadComboBoxItem Text="F" Value="F" />
                            <telerik:RadComboBoxItem Text="M" Value="M" />
                        </Items>
                    </telerik:RadComboBox>
                    <br />
                    <br />

                    <asp:Label runat="server" ID="lblRace" Text="Race:" AssociatedControlID="rcbRace" />
                    <br />
                    <telerik:RadComboBox ID="rcbRace" runat="server" TabIndex="0" Width="100%" AccessibilityMode="true">
                    </telerik:RadComboBox>
                    <br />
                    <br />

                    <table style="padding: 0px;">
                        <tr>
                            <td style="padding-right: 5px;">
                                <telerik:RadButton ID="btnRunReportBottom" runat="server" Enabled="false" Text="Run Report" TabIndex="0" OnClick="btnRunReport_Click" OnClientClicking="validatePage" />
                            </td>
                            <td style="padding-right: 5px;">
                                <telerik:RadButton ID="btnClearReportBottom" runat="server" Text="Reset" TabIndex="0" OnClick="btnClearReport_Click" OnClientClicked="ShowProgress" />
                            </td>
                        </tr>
                    </table>
                    <br />
                    <!--End Filters-->
                </asp:Panel>
            </td>
            <td style="vertical-align: top; padding-right: 10px;">
                <table style="width: 100%;">
                    <tr>
                        <td style="width: 50%; text-align: left; vertical-align: top;">** MMG = Mammogram</td>
                        <td style="width: 50%; text-align: right; vertical-align: top;">Data Last Refreshed:
                            <asp:Label ID="lblLastRefreshDate" runat="server" Text="" />
                        </td>
                    </tr>
                </table>

                <asp:HiddenField ID="hfCustomReportName" runat="server" />

                <div style="text-align: right;">
                    <asp:Label ID="lblExecutionTimeLabel" runat="server" AssociatedControlID="lblExecutionTime" Text="Execution Time:" ToolTip="Report Execution Time" />
                    <asp:Label ID="lblExecutionTime" runat="server" ToolTip="Length of time to execute report" />
                </div>

                <!--Start Export Buttons -->
                <asp:Button runat="server" ID="btnExcel" Text="Export to Excel" CommandName="XLS" OnClientClick="return getCustomReportName(this.name);" OnClick="btnExport_Click" TabIndex="0" />
                <asp:Button runat="server" ID="btnCSV" Text="Export to CSV" CommandName="CSV" OnClientClick="return getCustomReportName(this.name);" OnClick="btnExport_Click" TabIndex="0" />
                <asp:Button runat="server" ID="btnPDF" Text="Export to PDF" CommandName="PDF" OnClientClick="return getCustomReportName(this.name);" OnClick="btnExport_Click" TabIndex="0" Visible="true" />
                <asp:Button runat="server" ID="btnWord" Text="Export to Word" CommandName="DOC" OnClientClick="return getCustomReportName(this.name);" OnClick="btnExport_Click" TabIndex="0" />
                <!--End Export Buttons -->

                <!--Start Grid-->
                <telerik:RadGrid ID="rgAllMammos" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true" EnableLinqExpressions="false" ShowStatusBar="true"
                    TabIndex="0" OnNeedDataSource="rgAllMammos_NeedDataSource" OnItemDataBound="rgAllMammos_ItemDataBound" OnItemCreated="rgAllMammos_ItemCreated" OnItemCommand="rgAllMammos_ItemCommand"
                    ShowFooter="true">
                    <MasterTableView AutoGenerateColumns="false" DataKeyNames="InstitutionId, STATIONNUMBER" ClientDataKeyNames="InstitutionId, STATIONNUMBER"
                        AllowFilteringByColumn="false" AllowSorting="true" AllowPaging="true" CommandItemDisplay="None" AllowMultiColumnSorting="false" AllowCustomSorting="false"
                        TabIndex="0" Width="100%" PageSize="20" ShowHeadersWhenNoRecords="true">
                        <NoRecordsTemplate>
                            <table>
                                <tr>
                                    <td>
                                        <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-size: 12pt; font-weight: normal;" TabIndex="0">
                                                Either no results were found with the selected parameters or the initial search has not been performed yet.  Please select criteria and click on the "Run Report" button
                                        </asp:Label></td>
                                </tr>
                            </table>
                        </NoRecordsTemplate>
                        <SortExpressions>
                            <telerik:GridSortExpression FieldName="InstitutionName" SortOrder="Ascending" />
                        </SortExpressions>
                        <ColumnGroups>
                            <telerik:GridColumnGroup HeaderText="Bi-RADS Distribution" Name="biRad" />
                        </ColumnGroups>
                        <Columns>
                            <telerik:GridButtonColumn CommandName="Details" UniqueName="DetailButton" ButtonType="LinkButton" Text="View More" HeaderText="Details" Exportable="false"></telerik:GridButtonColumn>

                            <telerik:GridBoundColumn DataField="InstitutionName" UniqueName="InstitutionName" HeaderText="Facility Name" HeaderTooltip="Facility Name Column"
                                HeaderButtonType="None" AllowFiltering="false" Aggregate="First" FooterAggregateFormatString="Total:" />

                            <telerik:GridBoundColumn DataField="STATIONNUMBER" UniqueName="STATIONNUMBER" HeaderText="Facility ID" HeaderTooltip="Facility ID Column"
                                HeaderButtonType="None" AllowFiltering="false" Visible="true" />

                            <telerik:GridTemplateColumn DataField="VISN_ID" SortExpression="VISN_ID" UniqueName="VISN_ID_Rpt" HeaderText="VISN" HeaderTooltip="VISN Column"
                                HeaderButtonType="None" AllowFiltering="false" Exportable="true" ShowFilterIcon="false" Aggregate="None">
                                <ItemTemplate>
                                    <%# GetVISNNameFromID(Eval("VISN_ID"))%>
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>

                            <telerik:GridBoundColumn DataField="FacilityCount" UniqueName="FacilityCount" HeaderText="Total MMG in Facility" HeaderTooltip="Number of Mammograms in Facility Column"
                                HeaderButtonType="None" AllowFiltering="false" Aggregate="Sum" FooterAggregateFormatString="{0}" />


                            <telerik:GridTemplateColumn DataField="Bi-RADS_0" SortExpression="Bi-RADS_0" UniqueName="Bi-RADS_0" HeaderText="Bi-RADS 0" HeaderTooltip="Bi-RADS 0 Column" ColumnGroupName="biRad"
                                HeaderButtonType="None" AllowFiltering="false" Exportable="true" ShowFilterIcon="false" Aggregate="Sum" FooterAggregateFormatString="{0}">
                                <ItemTemplate>
                                    <%# DataBinder.Eval(Container, "DataItem.BIRAD_0_VALUE")%>
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>

                            <telerik:GridTemplateColumn DataField="Bi-RADS_1" SortExpression="Bi-RADS_1" UniqueName="Bi-RADS_1" HeaderText="Bi-RADS 1" HeaderTooltip="Bi-RADS 1 Column" ColumnGroupName="biRad"
                                HeaderButtonType="None" AllowFiltering="false" AllowSorting="true" Exportable="true" ShowSortIcon="true" ShowFilterIcon="false" Aggregate="Sum" FooterAggregateFormatString="{0}">
                                <ItemTemplate>
                                    <%# DataBinder.Eval(Container, "DataItem.BIRAD_1_VALUE")%>
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>

                            <telerik:GridTemplateColumn DataField="Bi-RADS_2" SortExpression="Bi-RADS_2" UniqueName="Bi-RADS_2" HeaderText="Bi-RADS 2" HeaderTooltip="Bi-RADS 2 Column" ColumnGroupName="biRad"
                                HeaderButtonType="None" AllowFiltering="false" AllowSorting="true" Exportable="true" ShowSortIcon="true" ShowFilterIcon="false" Aggregate="Sum" FooterAggregateFormatString="{0}">
                                <ItemTemplate>
                                    <%# DataBinder.Eval(Container, "DataItem.BIRAD_2_VALUE")%>
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>

                            <telerik:GridTemplateColumn DataField="Bi-RADS_3" SortExpression="Bi-RADS_3" UniqueName="Bi-RADS_3" HeaderText="Bi-RADS 3" HeaderTooltip="Bi-RADS 3 Column" ColumnGroupName="biRad"
                                HeaderButtonType="None" AllowFiltering="false" AllowSorting="true" Exportable="true" ShowSortIcon="true" ShowFilterIcon="false" Aggregate="Sum" FooterAggregateFormatString="{0}">
                                <ItemTemplate>
                                    <%# DataBinder.Eval(Container, "DataItem.BIRAD_3_VALUE")%>
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>

                            <telerik:GridTemplateColumn DataField="Bi-RADS_4" SortExpression="Bi-RADS_4" UniqueName="Bi-RADS_4" HeaderText="Bi-RADS 4" HeaderTooltip="Bi-RADS 4 Column" ColumnGroupName="biRad"
                                HeaderButtonType="None" AllowFiltering="false" AllowSorting="true" Exportable="true" ShowSortIcon="true" ShowFilterIcon="false" Aggregate="Sum" FooterAggregateFormatString="{0}">
                                <ItemTemplate>
                                    <%# DataBinder.Eval(Container, "DataItem.BIRAD_4_VALUE")%>
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>

                            <telerik:GridTemplateColumn DataField="Bi-RADS_5" SortExpression="Bi-RADS_5" UniqueName="Bi-RADS_5" HeaderText="Bi-RADS 5" HeaderTooltip="Bi-RADS 5 Column" ColumnGroupName="biRad"
                                HeaderButtonType="None" AllowFiltering="false" AllowSorting="true" Exportable="true" ShowSortIcon="true" ShowFilterIcon="false" Aggregate="Sum" FooterAggregateFormatString="{0}">
                                <ItemTemplate>
                                    <%# DataBinder.Eval(Container, "DataItem.BIRAD_5_VALUE")%>
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>

                            <telerik:GridTemplateColumn DataField="Bi-RADS_6" SortExpression="Bi-RADS_6" UniqueName="Bi-RADS_6" HeaderText="Bi-RADS 6" HeaderTooltip="Bi-RADS 6 Column" ColumnGroupName="biRad"
                                HeaderButtonType="None" AllowFiltering="false" AllowSorting="true" Exportable="true" ShowSortIcon="true" ShowFilterIcon="false" Aggregate="Sum" FooterAggregateFormatString="{0}">
                                <ItemTemplate>
                                    <%# DataBinder.Eval(Container, "DataItem.BIRAD_6_VALUE")%>
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>

                            <telerik:GridTemplateColumn DataField="NO-SCORE" SortExpression="NO-SCORE" UniqueName="NO-SCORE" HeaderText="No Bi-RADS Score" HeaderTooltip="No Bi-RADS Score Column" ColumnGroupName="biRad"
                                HeaderButtonType="None" AllowFiltering="false" AllowSorting="true" Exportable="true" ShowSortIcon="true" ShowFilterIcon="false" Aggregate="Sum" FooterAggregateFormatString="{0}">
                                <ItemTemplate>
                                    <%# DataBinder.Eval(Container, "DataItem.BIRAD_NOSCORE_VALUE")%>
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>

                            <telerik:GridBoundColumn DataField="TotalCount" UniqueName="TotalCount" HeaderText="Total Count" HeaderTooltip="Total Count Column"
                                HeaderButtonType="None" AllowFiltering="false" Visible="false" />

                            <telerik:GridBoundColumn DataField="FacilityPercentage" UniqueName="FacilityPercentage" HeaderText="VISN Percentage" HeaderTooltip="VISN Percentage Column"
                                HeaderButtonType="None" AllowFiltering="false" />
                        </Columns>
                    </MasterTableView>
                    <ClientSettings AllowKeyboardNavigation="true">
                        <Selecting AllowRowSelect="true" />
                        <KeyboardNavigationSettings EnableKeyboardShortcuts="true" />
                        <ClientEvents OnCommand="OnGridCommand" />
                    </ClientSettings>
                    <FilterMenu OnClientShowing="MenuShowing" />
                    <PagerStyle Mode="NextPrevAndNumeric" />
                </telerik:RadGrid>
                <!--End Grid-->
                <br />

                <asp:Panel ID="pnlCharts" runat="server" Visible="false">
                    <table style="width: 100%;" cellpadding="10">
                        <tr>
                            <td style="width: 100%; vertical-align: top;">
                                <%--<!-- Start Chart 1 -->
                                <telerik:RadHtmlChart runat="server" ID="RadHtmlChart1" Transitions="true" TabIndex="0">
                                    <PlotArea>
                                        <Series>
                                            <telerik:PieSeries StartAngle="90" Name="Table" DataFieldY="FacilityPercentage" NameField="InstitutionName">
                                                <LabelsAppearance Position="OutsideEnd" DataField="FacilityPercentage" DataFormatString="{0} %" />
                                                <TooltipsAppearance DataFormatString="{0} %" />
                                            </telerik:PieSeries>
                                        </Series>
                                    </PlotArea>
                                    <Legend>
                                        <Appearance Position="Bottom" Visible="false" />
                                    </Legend>
                                    <ChartTitle Text="Patient Distribution">
                                    </ChartTitle>
                                </telerik:RadHtmlChart>
                                <!-- End Chart 1 -->
                            </td>
                            <td style="width: 50%; vertical-align: top;">--%>
                                <!-- Bar Chart  -->
                                <telerik:RadHtmlChart ID="rhcBiRadDistChart" runat="server" Height="500px" Width="100%">
                                    <PlotArea>
                                        <Series>
                                            <telerik:ColumnSeries Name="BiRAD Distribution" DataFieldY="PercentageValue">
                                                <TooltipsAppearance DataFormatString="{0}%" />
                                                <LabelsAppearance Visible="false" />
                                            </telerik:ColumnSeries>
                                        </Series>
                                        <XAxis DataLabelsField="Name">
                                            <LabelsAppearance RotationAngle="-90" />
                                        </XAxis>
                                        <YAxis>
                                            <TitleAppearance Position="Center" RotationAngle="0" Text="Percent BIRAD Breakdown">
                                                <TextStyle Color="#000000" />
                                            </TitleAppearance>
                                        </YAxis>
                                    </PlotArea>
                                    <Legend>
                                        <Appearance BackgroundColor="Transparent" Position="Bottom">
                                        </Appearance>
                                    </Legend>
                                    <ChartTitle Text="BIRAD Score Distribution">
                                    </ChartTitle>
                                </telerik:RadHtmlChart>
                                <br />
                                <asp:Label ID="lblForBarChart" runat="server" Text="This chart shows the breakdown or distribution of BIRAD Scores from the selected VISN(s) including BIRADS 0-6 and No Score." AssociatedControlID="rhcBiRadDistChart" />
                                <!-- End Bar Chart  -->
                            </td>
                        </tr>
                    </table>
                </asp:Panel>
            </td>
        </tr>
    </table>

    <telerik:RadNotification ID="RadNotification1" runat="server" Width="300" Animation="Slide" EnableRoundedCorners="true" EnableShadow="true" LoadContentOn="PageLoad" Title="Validation errors"
        TitleIcon="warning" AutoCloseDelay="PORT" Position="Center">
        <ContentTemplate>
            <asp:ValidationSummary ID="ValidationSummary1" runat="server" ValidationGroup="FilterValidation" />
        </ContentTemplate>
    </telerik:RadNotification>

    <div class="loading" align="center">
        Loading. Please wait.<br />
        <br />
        <img src="../images/ajax-loader.gif" alt="Loading Image" />
    </div>

    <div id="dialog" title="Enter Custom Name for Report:">
        <p>
            Please enter a custom name for report or leave default:<br />
            <input type="text" id="txtCustomName" value="<%=reportName%>" style="width: 100%;" />
        </p>
    </div>

</asp:Content>
