﻿<%@ Page Title="Mammogram Compliance Aggregate Report" Language="C#" MasterPageFile="~/Registry.master" AutoEventWireup="true" CodeFile="MammogramCompliance_Agg_Rpt.aspx.cs" Inherits="Reports_MammogramCompliance_Agg_Rpt" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Charting" TagPrefix="telerik" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    <link href="../scripts/jQueryUI/jquery-ui.css" rel="stylesheet" />
    <link href="../scripts/jQueryUI/jquery-ui.structure.css" rel="stylesheet" />
    <link href="../scripts/jQueryUI/jquery-ui.theme.css" rel="stylesheet" />
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder" runat="Server">

    <telerik:RadCodeBlock runat="server" ID="rcb1">
        <script type="text/javascript">
            $(function () {
                $("#dialog").dialog(
                    {
                        autoOpen: false,
                        height: 300,
                        width: 350,
                        modal: true
                    });

                $('#txtCustomName').on('keypress', function (event) {
                    var regex = new RegExp("^[a-zA-Z0-9_ -]+$");
                    var key = String.fromCharCode(!event.charCode ? event.which : event.charCode);
                    if (!regex.test(key)) {
                        event.preventDefault();
                        return false;
                    }
                });
            });

            function getCustomReportName(uniqueID) {
                $('#dialog').dialog('option', 'buttons',
                {
                    "OK": function () {
                        $("#<%=hfCustomReportName.ClientID%>").val($("#txtCustomName").val());

                        __doPostBack(uniqueID, '');
                        $(this).dialog("close");

                        $("#txtCustomName").val('<%=reportName%>');
                    },
                    "Cancel": function () { $(this).dialog("close"); }
                });

                $('#dialog').dialog('open');

                return false;
            }

            function ShowProgress() {
                setTimeout(function () {
                    var modal = $('<div />');
                    modal.addClass("modal");
                    $('body').append(modal);
                    var loading = $(".loading");
                    loading.show();
                    var top = Math.max($(window).height() / 2 - loading[0].offsetHeight / 2, 0);
                    var left = Math.max($(window).width() / 2 - loading[0].offsetWidth / 2, 0);
                    loading.css({ top: top, left: left });
                }, 200);
            }

            function OnClientClicking(button, args) {
                window.location = button.get_navigateUrl();
                args.set_cancel(true);
            }

            function OnClientDropDownClosedHandler(sender, eventArgs) {
                var uniqueID = '<%=rcbVisn.ClientID%>';
                __doPostBack(uniqueID, '');
            }
        </script>
    </telerik:RadCodeBlock>

    <telerik:RadSkinManager ID="QsfSkinManager" runat="server" ShowChooser="false" Skin="Office2010Blue" />

    <table style="width: 100%;">
        <tr>
            <td style="padding-left: 10px; padding-right: 10px; padding-top: 4px; width: 300px; vertical-align: top; background-color: #F5F5F5;">
                <asp:Panel ID="pnlAdvancedSearch" runat="server">
                    <!--Start Filters-->
                    <h2>Search Filters:</h2>
                    <br />
                    <table style="padding: 0px;">
                        <tr>
                            <td style="padding-right: 5px;">
                                <telerik:RadButton ID="btnRunReportTop" runat="server" Enabled="false" Text="Run Report" TabIndex="0" OnClick="btnRunReport_Click" OnClientClicked="ShowProgress" />
                            </td>
                            <td style="padding-right: 5px;">
                                <telerik:RadButton ID="btnClearReportTop" runat="server" Text="Reset" TabIndex="0" OnClick="btnClearReport_Click" OnClientClicked="ShowProgress" />
                            </td>
                        </tr>
                    </table>
                    <br />
                    <asp:Label runat="server" ID="lblVisn" Text="Select VISN(s):" ToolTip="Select VISN(s) for report." AssociatedControlID="rcbVisn" /><br />
                    <telerik:RadComboBox ID="rcbVisn" runat="server" Width="100%" TabIndex="0" AutoPostBack="true" CheckBoxes="true" EnableCheckAllItemsCheckBox="true" EmptyMessage="VISN Selection"
                        OnSelectedIndexChanged="rcbVisn_SelectedIndexChanged" OnClientDropDownClosed="OnClientDropDownClosedHandler" OnClientSelectedIndexChanged="ShowProgress" AccessibilityMode="true" ToolTip="VISN Selection" AccessKey="V" />
                    <br />
                    <br />

                    <asp:Label runat="server" ID="lblForDatePicker" Text="Select Current or Historical Data:" AssociatedControlID="rcbDatePicker" /><br />
                    <telerik:RadComboBox ID="rcbDatePicker" runat="server" AutoPostBack="true" DataTextField="CompHistoryDate" TabIndex="0" Width="100%" DataValueField="MonthSID"
                        OnClientSelectedIndexChanged="ShowProgress" OnSelectedIndexChanged="rcbDatePicker_SelectedIndexChanged" AccessibilityMode="true">
                    </telerik:RadComboBox>
                    <br />
                    <br />

                    <asp:Label runat="server" ID="Label1" Text="Age Restriction:" AssociatedControlID="rddlAgeRestriction" />
                    <br />
                    <telerik:RadComboBox ID="rddlAgeRestriction" runat="server" TabIndex="0" Width="100%" AccessibilityMode="true">
                        <Items>
                            <telerik:RadComboBoxItem Text="All" Value="All" Selected="true" />
                            <telerik:RadComboBoxItem Text="50-60" Value="50-60" />
                            <telerik:RadComboBoxItem Text="61-64" Value="61-64" />
                            <telerik:RadComboBoxItem Text="65-74" Value="65-74" />
                        </Items>
                    </telerik:RadComboBox>
                    <br />
                    <br />

                    <asp:Label runat="server" ID="lblRace" Text="Race:" AssociatedControlID="rcbRace" />
                    <br />
                    <telerik:RadComboBox ID="rcbRace" runat="server" TabIndex="0" Width="100%" AccessibilityMode="true">
                    </telerik:RadComboBox>
                    <br />
                    <br />

                    <table style="padding: 0px;">
                        <tr>
                            <td style="padding-right: 5px;">
                                <telerik:RadButton ID="btnRunReportBottom" runat="server" Enabled="false" Text="Run Report" TabIndex="0" OnClick="btnRunReport_Click" OnClientClicked="ShowProgress" />
                            </td>
                            <td style="padding-right: 5px;">
                                <telerik:RadButton ID="btnClearReportBottom" runat="server" Text="Reset" TabIndex="0" OnClick="btnClearReport_Click" OnClientClicked="ShowProgress" />
                            </td>
                        </tr>
                    </table>
                    <br />
                    <!--End Filters-->
                    <hr />

                    <h3>Additional Slicer Views:</h3>
                    <br />
                    <a href="MammogramCompliance_Agg_By_Age.aspx" title="Navigate to Mammogram Compliance By Age Report">Mammogram Compliance By Age</a>
                    <br />
                    <a href="MammogramCompliance_Agg_By_Race.aspx" title="Navigate to Mammogram Compliance By Race Report">Mammogram Compliance By Race</a>
                    <br />
                    <br />
                </asp:Panel>
            </td>
            <td style="vertical-align: top; padding-right: 10px;">
                <table style="width: 100%;">
                    <tr>
                        <td style="width: 50%; text-align: left; vertical-align: top;">** MMG = Mammogram</td>
                        <td style="width: 50%; text-align: right; vertical-align: top;">Data Last Refreshed:
                            <asp:Label ID="lblLastRefreshDate" runat="server" Text="" />
                        </td>
                    </tr>
                </table>

                <asp:HiddenField ID="hfCustomReportName" runat="server" />

                <div style="text-align: right;">
                    <asp:Label ID="lblExecutionTimeLabel" runat="server" AssociatedControlID="lblExecutionTime" Text="Execution Time:" ToolTip="Report Execution Time" />
                    <asp:Label ID="lblExecutionTime" runat="server" ToolTip="Length of time to execute report" />
                </div>

                <!--Start Export Buttons -->
                <asp:Button runat="server" ID="btnExcel" Text="Export to Excel" CommandName="XLS" OnClientClick="return getCustomReportName(this.name);" OnClick="btnExport_Click" TabIndex="0" />
                <asp:Button runat="server" ID="btnCSV" Text="Export to CSV" CommandName="CSV" OnClientClick="return getCustomReportName(this.name);" OnClick="btnExport_Click" TabIndex="0" />
                <asp:Button runat="server" ID="btnPDF" Text="Export to PDF" CommandName="PDF" OnClientClick="return getCustomReportName(this.name);" OnClick="btnExport_Click" TabIndex="0" Visible="true" />
                <asp:Button runat="server" ID="btnWord" Text="Export to Word" CommandName="DOC" OnClientClick="return getCustomReportName(this.name);" OnClick="btnExport_Click" TabIndex="0" />
                <!--End Export Buttons -->

                <!--Start Grid-->
                <telerik:RadGrid ID="rgMammoCompliance" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true"
                    EnableLinqExpressions="false" ShowStatusBar="true" TabIndex="0" OnNeedDataSource="rgMammoCompliance_NeedDataSource" OnItemDataBound="rgMammoCompliance_ItemDataBound"
                    OnItemCreated="rgMammoCompliance_ItemCreated" ShowFooter="true" OnItemCommand="rgMammoCompliance_ItemCommand">
                    <MasterTableView AutoGenerateColumns="false" DataKeyNames="Sta3n" ClientDataKeyNames="Sta3n" AllowMultiColumnSorting="false" AllowCustomSorting="false"
                        AllowFilteringByColumn="false" AllowSorting="true" AllowPaging="true" CommandItemDisplay="None"
                        TabIndex="0" Width="100%" PageSize="20" ShowHeadersWhenNoRecords="true">
                        <NoRecordsTemplate>
                            <table>
                                <tr>
                                    <td>
                                        <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-size: 12pt; font-weight: normal;" TabIndex="0">
                                                Either no results were found with the selected parameters or the initial search has not been performed yet.  Please select criteria and click on the "Run Report" button
                                        </asp:Label>
                                    </td>
                                </tr>
                            </table>
                        </NoRecordsTemplate>
                        <ColumnGroups>
                            <telerik:GridColumnGroup HeaderText="Institution" Name="institution" />
                            <telerik:GridColumnGroup HeaderText="Breakdown" Name="comp" />
                        </ColumnGroups>
                        <Columns>
                            <telerik:GridButtonColumn ButtonType="LinkButton" Text="View More" CommandName="Details" UniqueName="DetailButton" Exportable="false" HeaderText="Details"
                                HeaderTooltip="Click to view detailed information" />

                            <telerik:GridBoundColumn DataField="MonthSID" UniqueName="MonthSID_Rpt" HeaderText="Data Date" HeaderTooltip="Date for the report information"
                                HeaderButtonType="None" AllowFiltering="false" Visible="true" />

                            <telerik:GridTemplateColumn DataField="VISN_ID" SortExpression="VISN_ID" UniqueName="VISN_ID_Rpt" HeaderText="VISN" HeaderTooltip="VISN Column" ColumnGroupName="institution"
                                HeaderButtonType="None" AllowFiltering="false" Exportable="true" ShowFilterIcon="false" Aggregate="None">
                                <ItemTemplate>
                                    <%# GetVISNNameFromID(Eval("VISN_ID"))%>
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>

                            <telerik:GridBoundColumn DataField="VISTANAME" UniqueName="VISTANAME_Rpt" HeaderText="Facility Name" HeaderTooltip="Facility Name Column" ColumnGroupName="institution"
                                HeaderButtonType="None" AllowFiltering="false" Visible="true" />

                            <telerik:GridBoundColumn DataField="Sta3n" UniqueName="Sta3nRpt" HeaderText="Facility ID" HeaderTooltip="Facility ID Column" ColumnGroupName="institution"
                                HeaderButtonType="None" AllowFiltering="false" Visible="true" />

                            <telerik:GridBoundColumn DataField="Compliant" UniqueName="CompliantRpt" HeaderText="Compliant" HeaderTooltip="Compliant Column" ColumnGroupName="comp"
                                HeaderButtonType="None" AllowFiltering="false" Aggregate="Sum" FooterAggregateFormatString="{0}" />

                            <telerik:GridBoundColumn DataField="CompliantPercent" UniqueName="CompliantPercentRpt" HeaderText="Compliant %" HeaderTooltip="Compliant Percent Column" ColumnGroupName="comp"
                                HeaderButtonType="None" AllowFiltering="false" SortExpression="CompliantPercent" DataType="System.Decimal" DataFormatString="{0}%" />

                            <telerik:GridBoundColumn DataField="NonCompliant" UniqueName="NonCompliantRpt" HeaderText="Non-Compliant" HeaderTooltip="Non-Compliant Column" ColumnGroupName="comp"
                                HeaderButtonType="None" AllowFiltering="false" Aggregate="Sum" FooterAggregateFormatString="{0}" />

                            <telerik:GridBoundColumn DataField="NonCompliantPercent" UniqueName="NonCompliantPercentRpt" HeaderText="Non-Compliant %" HeaderTooltip="Non-Compliant % Column" ColumnGroupName="comp"
                                HeaderButtonType="None" AllowFiltering="false" DataFormatString="{0}%" />

                            <telerik:GridBoundColumn DataField="TotalApplicable" UniqueName="TotalApplicableRpt" HeaderText="Total Applicable" HeaderTooltip="Total Applicable Column" ColumnGroupName="comp"
                                HeaderButtonType="None" AllowFiltering="false" Aggregate="Sum" FooterAggregateFormatString="{0}" />

                            <telerik:GridBoundColumn DataField="TotalApplicablePercent" UniqueName="TotalApplicablePercentRpt" HeaderText="Total Applicable %" HeaderTooltip="Total Applicable % Column" ColumnGroupName="comp"
                                HeaderButtonType="None" AllowFiltering="false" DataFormatString="{0}%" />

                            <telerik:GridBoundColumn DataField="NotApplicable" UniqueName="NotApplicableRpt" HeaderText="Not Applicable" HeaderTooltip="Not Applicable Column" ColumnGroupName="comp"
                                HeaderButtonType="None" AllowFiltering="false" Aggregate="Sum" FooterAggregateFormatString="{0}" />

                            <%--<telerik:GridBoundColumn DataField="NonCompliancePercentage" UniqueName="NonCompliancePercentage" HeaderText="NonCompliancePercentage" HeaderTooltip="NonCompliancePercentage Column" ColumnGroupName="comp"
                                HeaderButtonType="None" AllowFiltering="false" />--%>
                        </Columns>
                    </MasterTableView>
                    <ClientSettings AllowKeyboardNavigation="true">
                        <Selecting AllowRowSelect="true" />
                        <ClientEvents OnCommand="ShowProgress" />
                        <KeyboardNavigationSettings EnableKeyboardShortcuts="true" />
                    </ClientSettings>
                    <FilterMenu OnClientShowing="MenuShowing" />
                    <PagerStyle Mode="NextPrevAndNumeric" />
                </telerik:RadGrid>
                <!--End Grid-->

                <asp:Panel ID="pnlChart" runat="server" Visible="false">
                    <br />
                    <asp:Label ID="lblShowingNumber" runat="server" AssociatedControlID="rhcComplianceChart" /><br />
                    <telerik:RadHtmlChart ID="rhcComplianceChart" runat="server" Height="500px" Width="100%" ToolTip="Mammogram Compliance Chart - Showing Total Applicable Count, Compliant Count, Non-Compliant Count, and Not Applicable Count per facility.">
                        <PlotArea>
                            <Series>
                                <telerik:ColumnSeries Name="Compliant %" DataFieldY="CompliantPercent" Stacked="true">
                                    <TooltipsAppearance>
                                        <ClientTemplate>
                                            #=dataItem.CompliantPercent#% Compliant<br /> in #=dataItem.VISTANAME#
                                        </ClientTemplate>
                                    </TooltipsAppearance>
                                    <LabelsAppearance Visible="false" />
                                </telerik:ColumnSeries>
                            </Series>
                            <XAxis DataLabelsField="VISTANAME">
                                <LabelsAppearance RotationAngle="-90" />
                            </XAxis>
                            <YAxis>
                                <TitleAppearance Position="Center" RotationAngle="0" Text="Percent Compliant">
                                    <TextStyle Color="#000000" />
                                </TitleAppearance>
                            </YAxis>
                        </PlotArea>
                        <Legend>
                            <Appearance BackgroundColor="Transparent" Position="Bottom">
                            </Appearance>
                        </Legend>
                    </telerik:RadHtmlChart>
                    <br />
                    <asp:Panel ID="pnlBreakdownCharts" runat="server" Visible="false">
                        <table style="width: 100%; border: 1px solid #CCCCCC;" cellpadding="10" cellspacing="10">
                            <tr>
                                <td style="width: 50%; vertical-align: top; border: 1px solid #CCCCCC;">
                                    <!-- Start Chart 1 - Age -->
                                    <%--<telerik:RadHtmlChart runat="server" ID="rhcComplianceByAge" Transitions="true" TabIndex="0" Skin="Silk">
                                        <PlotArea>
                                            <Series>
                                                <telerik:PieSeries StartAngle="90" Name="Table" DataFieldY="CompliantPercent" NameField="AgeRange">
                                                    <LabelsAppearance Position="OutsideEnd">
                                                        <ClientTemplate>
                                                        #=dataItem.AgeRange# = #=dataItem.CompliantPercent# %
                                                        </ClientTemplate>
                                                    </LabelsAppearance>
                                                    <TooltipsAppearance>
                                                        <ClientTemplate>
                                                        The Age Range of #=dataItem.AgeRange#<br /> is #=dataItem.CompliantPercent# % Compliant
                                                        </ClientTemplate>
                                                    </TooltipsAppearance>
                                                </telerik:PieSeries>
                                            </Series>
                                        </PlotArea>
                                        <Legend>
                                            <Appearance Visible="true" Position="Bottom" />
                                        </Legend>
                                        <ChartTitle Text="Compliance By Age (Rollup for all selected VISNs)">
                                        </ChartTitle>
                                    </telerik:RadHtmlChart>
                                    <br />--%>

                                    <telerik:RadHtmlChart ID="rhcComplianceByAge" runat="server" Height="500px" Width="100%" Skin="Vista">
                                        <PlotArea>
                                            <Series>
                                                <telerik:ColumnSeries Name="Compliant %" DataFieldY="CompliantPercent" Stacked="true">
                                                    <TooltipsAppearance>
                                                        <ClientTemplate>
                                                            The Age Range of #=dataItem.AgeRange#<br /> is #=dataItem.CompliantPercent# % Compliant
                                                        </ClientTemplate>
                                                    </TooltipsAppearance>
                                                    <LabelsAppearance Visible="true" Position="InsideBase" RotationAngle="-90">
                                                        <ClientTemplate>
                                                            #=dataItem.AgeRange#
                                                        </ClientTemplate>
                                                    </LabelsAppearance>
                                                </telerik:ColumnSeries>
                                            </Series>
                                            <XAxis DataLabelsField="AgeRange">
                                                <LabelsAppearance RotationAngle="-90" Visible="false" />
                                            </XAxis>
                                            <YAxis>
                                                <TitleAppearance Position="Center" RotationAngle="0" Text="Percent Compliant">
                                                    <TextStyle Color="#000000" />
                                                </TitleAppearance>
                                            </YAxis>
                                        </PlotArea>
                                        <Legend>
                                            <Appearance BackgroundColor="Transparent" Position="Bottom">
                                            </Appearance>
                                        </Legend>
                                        <ChartTitle Text="Compliance By Age (Rollup for all selected VISNs)">
                                        </ChartTitle>
                                    </telerik:RadHtmlChart>
                                    <!-- End Chart 1 - Age -->
                                </td>
                                <td style="width: 50%; vertical-align: top; border: 1px solid #CCCCCC;">
                                    <!-- Start Chart 2 - Race -->
                                    <%--<telerik:RadHtmlChart runat="server" ID="rhcComplianceByRace" Transitions="true" TabIndex="0" Skin="Silk">
                                        <PlotArea>
                                            <Series>
                                                <telerik:PieSeries StartAngle="90" DataFieldY="CompliantPercent" NameField="Race">
                                                    <LabelsAppearance Position="OutsideEnd">
                                                        <ClientTemplate>
                                                        #=dataItem.Race# (#=dataItem.CompliantPercent#%)
                                                        </ClientTemplate>
                                                    </LabelsAppearance>
                                                    <TooltipsAppearance>
                                                        <ClientTemplate>
                                                        #=dataItem.Race# Race<br /> is #=dataItem.CompliantPercent# % Compliant
                                                        </ClientTemplate>
                                                    </TooltipsAppearance>
                                                </telerik:PieSeries>
                                            </Series>
                                        </PlotArea>
                                        <Legend>
                                            <Appearance Visible="true" Position="Bottom" />
                                        </Legend>
                                        <ChartTitle Text="Compliance By Race (Rollup for all selected VISNs)">
                                        </ChartTitle>
                                    </telerik:RadHtmlChart>--%>

                                    <telerik:RadHtmlChart ID="rhcComplianceByRace" runat="server" Height="500px" Width="100%" Skin="Vista">
                                        <PlotArea>
                                            <Series>
                                                <telerik:ColumnSeries Name="Compliant %" DataFieldY="CompliantPercent" Stacked="true">
                                                    <TooltipsAppearance>
                                                        <ClientTemplate>
                                                            #=dataItem.Race# Race<br /> is #=dataItem.CompliantPercent# % Compliant
                                                        </ClientTemplate>
                                                    </TooltipsAppearance>
                                                    <LabelsAppearance Visible="true" Position="InsideBase" RotationAngle="-90">
                                                        <ClientTemplate>
                                                            #=dataItem.Race#
                                                        </ClientTemplate>
                                                    </LabelsAppearance>
                                                </telerik:ColumnSeries>
                                            </Series>
                                            <XAxis DataLabelsField="Race">
                                                <LabelsAppearance RotationAngle="-90" Visible="false" />
                                            </XAxis>
                                            <YAxis>
                                                <TitleAppearance Position="Center" RotationAngle="0" Text="Percent Compliant">
                                                    <TextStyle Color="#000000" />
                                                </TitleAppearance>
                                            </YAxis>
                                        </PlotArea>
                                        <Legend>
                                            <Appearance BackgroundColor="Transparent" Position="Bottom">
                                            </Appearance>
                                        </Legend>
                                        <ChartTitle Text="Compliance By Race (Rollup for all selected VISNs)">
                                        </ChartTitle>
                                    </telerik:RadHtmlChart>
                                    <!-- End Chart 2 - Race -->
                                </td>
                            </tr>
                        </table>
                    </asp:Panel>
                </asp:Panel>
                <br />

            </td>
        </tr>
    </table>

    <div class="loading" align="center">
        Loading. Please wait.<br />
        <br />
        <img src="../images/ajax-loader.gif" alt="Loading Image" />
    </div>

    <div id="dialog" title="Enter Custom Name for Report:">
        <p>
            Please enter a custom name for report or leave default:<br />
            <input type="text" id="txtCustomName" value="<%=reportName%>" style="width: 100%;" />
        </p>
    </div>

</asp:Content>
