﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Registry.master" CodeFile="MammogramFollowupComp_BySta3n_Agg_Rpt.aspx.cs" Inherits="Reports_MammogramFollowupComp_BySta3n_Agg_Rpt" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    <link href="../scripts/jQueryUI/jquery-ui.css" rel="stylesheet" />
    <link href="../scripts/jQueryUI/jquery-ui.structure.css" rel="stylesheet" />
    <link href="../scripts/jQueryUI/jquery-ui.theme.css" rel="stylesheet" />
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder" runat="Server">
    <telerik:RadCodeBlock runat="server" ID="RadCodeBlock1">
        <script type="text/javascript">
            function ShowProgress() {
                setTimeout(function () {
                    var modal = $('<div />');
                    modal.addClass("modal");
                    $('body').append(modal);
                    var loading = $(".loading");
                    loading.show();
                    var top = Math.max($(window).height() / 2 - loading[0].offsetHeight / 2, 0);
                    var left = Math.max($(window).width() / 2 - loading[0].offsetWidth / 2, 0);
                    loading.css({ top: top, left: left });
                }, 200);
            }

            // Function called on Grid Commands - on sort - force grid to page 1.
            function OnGridCommand(sender, eventArgs) {
                ShowProgress();

                if (eventArgs.get_commandName() == "Sort") {
                    // make grid go to first page ... 
                    var grid = $find('<%= rgMammoFollowUpCompliance.ClientID %>');
                    var masterTableView = grid.get_masterTableView();
                    masterTableView.set_currentPageIndex(0);
                }
            }

            function OnClientClicking(button, args) {
                window.location = button.get_navigateUrl();
                args.set_cancel(true);
            }

            $(function () {
                $("#dialog").dialog(
                    {
                        autoOpen: false,
                        height: 300,
                        width: 350,
                        modal: true
                    });

                $('#txtCustomName').on('keypress', function (event) {
                    var regex = new RegExp("^[a-zA-Z0-9_ -]+$");
                    var key = String.fromCharCode(!event.charCode ? event.which : event.charCode);
                    if (!regex.test(key)) {
                        event.preventDefault();
                        return false;
                    }
                });
            });

            function getCustomReportName(uniqueID) {
                $('#dialog').dialog('option', 'buttons',
                {
                    "OK": function () {
                        $("#<%=hfCustomReportName.ClientID%>").val($("#txtCustomName").val());

                        __doPostBack(uniqueID, '');
                        $(this).dialog("close");

                        $("#txtCustomName").val('<%=reportName%>');
                    },
                    "Cancel": function () { $(this).dialog("close"); }
                });

                $('#dialog').dialog('open');

                return false;
            }

            // Date Functions
            function startDateSelected(sender, e) {
                try {
                    var endDate = $find("<%=rdpEndDate.ClientID%>");

                    if (e.get_newDate() != null) {
                        //alert("OnDateSelected: " + e.get_newDate().toDateString() + " selected in " + sender.get_id() + "<br />");
                        // set end Date min to this value
                        endDate.set_minDate(e.get_newDate());

                        if (endDate.get_selectedDate() < e.get_newDate()) {
                            endDate.set_selectedDate(e.get_newDate());
                        }
                    }
                    else {
                        //alert("OnDateSelected: Date cleared in " + sender.get_id() + "<br />");
                    }
                }
                catch (ex) {
                    // doesn't have e.get_newDate()
                }
            }

            function endDateSelected(sender, e) {
                // find the start date ... ensure it is selected
                var startDate = $find("<%=rdpStartDate.ClientID%>");

                var selectedDate = startDate.get_selectedDate();

                if (selectedDate == null) {
                    alert("Start Date must be selected first!");
                    return false;
                }
            }

            function validatePage(sender, args) {
                if (Page_ClientValidate("FilterValidation")) { //validate using above validation controls group
                    //validation return true section
                    ShowProgress();
                }
                else {
                    //validation return false section
                    $find("<%=RadNotification1.ClientID %>").show();
                    args.set_cancel(true);
                }
            }

            function endDateError(sender, args) {
                var startDate = $find("<%=rdpStartDate.ClientID%>");
                var endDate = $find("<%=rdpEndDate.ClientID%>");

                var selectedStartDate = startDate.get_selectedDate();

                endDate.set_selectedDate(selectedStartDate);
                alert("End date must be after Start Date");
            }
        </script>
    </telerik:RadCodeBlock>

    <telerik:RadSkinManager ID="QsfSkinManager" runat="server" ShowChooser="false" Skin="Office2010Blue" />

    <table style="width: 100%;">
        <tr>
            <td style="padding-left: 10px; padding-right: 10px; padding-top: 4px; width: 300px; vertical-align: top; background-color: #F5F5F5;">
                <asp:Panel ID="pnlAdvancedSearch" runat="server">
                    <!--Start Filters-->
                    <h2>Search Filters:</h2>
                    <br />
                    <table style="padding: 0px;">
                        <tr>
                            <td style="padding-right: 5px;">
                                <telerik:RadButton ID="rbtnRunReportTop" runat="server" Enabled="true" Text="Run Report" TabIndex="0" OnClick="rbtnRunReport_Click" OnClientClicking="validatePage" />
                            </td>
                            <td style="padding-right: 5px;">
                                <telerik:RadButton ID="btnClearReportTop" runat="server" Text="Reset" TabIndex="0" OnClick="btnClearReport_Click" OnClientClicked="ShowProgress" CausesValidation="false" />
                            </td>
                        </tr>
                    </table>
                    <br />

                    <asp:Label runat="server" ID="lblStartDate" Text="Start Date:" AssociatedControlID="rdpStartDate" /><br />
                    <telerik:RadDatePicker ID="rdpStartDate" runat="server" ZIndex="30001" Width="100%" TabIndex="0" ShowPopupOnFocus="false" ClientEvents-OnDateSelected="startDateSelected" AccessKey="D">
                        <Calendar ID="calStartDate" runat="server" EnableKeyboardNavigation="true"></Calendar>
                        <DateInput ID="DateInputStartDate" runat="server" ToolTip="Start Date Input"></DateInput>
                    </telerik:RadDatePicker>
                    <asp:RequiredFieldValidator runat="server" ID="rfvStartDate" ValidationGroup="FilterValidation" ControlToValidate="rdpStartDate" Enabled="true" Display="Dynamic" ErrorMessage="* Start Date is required for custom range"></asp:RequiredFieldValidator>
                    <br />
                    <br />

                    <asp:Label runat="server" ID="lblEndDate" Text="End Date:" AssociatedControlID="rdpEndDate" /><br />
                    <telerik:RadDatePicker ID="rdpEndDate" runat="server" ZIndex="30001" TabIndex="0" Width="100%" ShowPopupOnFocus="false" ClientEvents-OnDateSelected="endDateSelected" DateInput-ClientEvents-OnError="endDateError" AccessKey="E">
                        <Calendar ID="calEndDate" runat="server" EnableKeyboardNavigation="true"></Calendar>
                        <DateInput ID="DateInputEndDate" runat="server" ToolTip="End Date Input"></DateInput>
                    </telerik:RadDatePicker>
                    <asp:RequiredFieldValidator runat="server" ID="rfvEndDate" ControlToValidate="rdpEndDate" ValidationGroup="FilterValidation" Enabled="true" Display="Dynamic" ErrorMessage="* End Date is required for custom range"></asp:RequiredFieldValidator>
                    <br />
                    <br />

                    <asp:Label runat="server" ID="lblRace" Text="Race:" AssociatedControlID="rcbRace" />
                    <br />
                    <telerik:RadComboBox ID="rcbRace" runat="server" TabIndex="0" Width="100%" AccessibilityMode="true">
                    </telerik:RadComboBox>
                    <br />
                    <br />

                    <asp:Label runat="server" ID="lblFollowUpAction" Text="Follow-Up Information:" AssociatedControlID="rcbFollowUpActionStatus" />
                    <br />
                    <telerik:RadComboBox ID="rcbFollowUpActionStatus" runat="server" TabIndex="0" Width="100%" AccessibilityMode="true">
                        <Items>
                            <telerik:RadComboBoxItem Text="All" Value="all" Selected="true" />
                            <telerik:RadComboBoxItem Text="Patient Notified" Value="notified" />
                            <telerik:RadComboBoxItem Text="Follow-Up Testing" Value="testing" />
                            <telerik:RadComboBoxItem Text="Either Notified or Tested" Value="either" />
                            <telerik:RadComboBoxItem Text="No Follow-Up Data" Value="none" />
                        </Items>
                    </telerik:RadComboBox>
                    <br />
                    <br />

                    <table style="padding: 0px;">
                        <tr>
                            <td style="padding-right: 5px;">
                                <telerik:RadButton ID="rbtnRunReportBottom" runat="server" Enabled="true" Text="Run Report" TabIndex="0" OnClick="rbtnRunReport_Click" OnClientClicking="validatePage" />
                            </td>
                            <td style="padding-right: 5px;">
                                <telerik:RadButton ID="btnClearReportBottom" runat="server" Text="Reset" TabIndex="0" OnClick="btnClearReport_Click" OnClientClicked="ShowProgress" CausesValidation="false" />
                            </td>
                        </tr>
                    </table>
                    <br />
                    <!--End Filters-->
                </asp:Panel>
            </td>
            <td style="vertical-align: top; padding-right: 10px;">
                <table style="width: 100%;">
                    <tr>
                        <td style="width: 50%; text-align: left; vertical-align: top;">** MMG = Mammogram</td>
                        <td style="width: 50%; text-align: right; vertical-align: top;">Data Last Refreshed:
                            <asp:Label ID="lblLastRefreshDate" runat="server" Text="" />
                        </td>
                    </tr>
                </table>

                <asp:HiddenField ID="hfCustomReportName" runat="server" />

                <div style="text-align: right;">
                    <asp:Label ID="lblExecutionTimeLabel" runat="server" AssociatedControlID="lblExecutionTime" Text="Execution Time:" ToolTip="Report Execution Time" />
                    <asp:Label ID="lblExecutionTime" runat="server" ToolTip="Length of time to execute report" />
                </div>

                <!--Start Export Buttons -->
                <asp:Button runat="server" ID="btnExcel" Text="Export to Excel" CommandName="XLS" OnClientClick="return getCustomReportName(this.name);" OnClick="btnExport_Click" TabIndex="0" />
                <asp:Button runat="server" ID="btnCSV" Text="Export to CSV" CommandName="CSV" OnClientClick="return getCustomReportName(this.name);" OnClick="btnExport_Click" TabIndex="0" />
                <asp:Button runat="server" ID="btnPDF" Text="Export to PDF" CommandName="PDF" OnClientClick="return getCustomReportName(this.name);" OnClick="btnExport_Click" TabIndex="0" Visible="true" />
                <asp:Button runat="server" ID="btnWord" Text="Export to Word" CommandName="DOC" OnClientClick="return getCustomReportName(this.name);" OnClick="btnExport_Click" TabIndex="0" />
                <!--End Export Buttons -->

                <!--Start Grid-->
                <telerik:RadGrid ID="rgMammoFollowUpCompliance" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true"
                    EnableLinqExpressions="false" ShowStatusBar="true" TabIndex="0" OnNeedDataSource="rgMammoFollowUpCompliance_NeedDataSource" OnItemDataBound="rgMammoFollowUpCompliance_ItemDataBound"
                    OnItemCreated="rgMammoFollowUpCompliance_ItemCreated" ShowFooter="true" OnItemCommand="rgMammoFollowUpCompliance_ItemCommand" OnSortCommand="rgMammoFollowUpCompliance_SortCommand" 
                    OnPageIndexChanged="rgMammoFollowUpCompliance_PageIndexChanged">
                    <MasterTableView AutoGenerateColumns="false" DataKeyNames="PatientSID" ClientDataKeyNames="PatientSID" AllowMultiColumnSorting="false" AllowCustomSorting="true"
                        AllowFilteringByColumn="false" AllowSorting="true" AllowPaging="true" CommandItemDisplay="None"
                        TabIndex="0" Width="100%" PageSize="20" ShowHeadersWhenNoRecords="true">
                        <NoRecordsTemplate>
                            <table>
                                <tr>
                                    <td>
                                        <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-size: 12pt; font-weight: normal;" TabIndex="0">
                                            Either no results were found with the selected parameters or the initial search has not been performed yet.  Please select criteria and click on the "Run Report" button
                                        </asp:Label>
                                    </td>
                                </tr>
                            </table>
                        </NoRecordsTemplate>
                        <SortExpressions>
                            <telerik:GridSortExpression FieldName="Patient_Name" SortOrder="Ascending" />
                        </SortExpressions>
                        <ColumnGroups>
                            <telerik:GridColumnGroup HeaderText="Team / Provider" Name="provider" />
                            <telerik:GridColumnGroup HeaderText="Patient" Name="patient" />
                            <telerik:GridColumnGroup HeaderText="Mammogram" Name="last_mam" />
                            <telerik:GridColumnGroup HeaderText="Patient Demographics" Name="demo" />
                        </ColumnGroups>
                        <Columns>
                            <telerik:GridButtonColumn ButtonType="LinkButton" Text="Details" CommandName="Details" UniqueName="DetailButton" Exportable="false" HeaderText="Details"
                                HeaderTooltip="Click for patient details" />

                            <telerik:GridBoundColumn DataField="PCMMTeam" UniqueName="team_name_Report" HeaderText="PACT Team" HeaderTooltip="PACT Team Column" ColumnGroupName="provider"
                                HeaderButtonType="None" AllowFiltering="false" Exportable="true" />

                            <telerik:GridBoundColumn DataField="PCMMStaffName" UniqueName="ProviderName_Report" HeaderText="Provider Name" HeaderTooltip="Provider Name Column" ColumnGroupName="provider"
                                HeaderButtonType="None" AllowFiltering="false" EmptyDataText="Unassigned Provider" Exportable="true" HeaderStyle-Width="150px" />

                            <telerik:GridBoundColumn DataField="Patient_Name" UniqueName="Patient_Name_Report" HeaderText="Last Name, First" HeaderTooltip="Patient Name Column" ColumnGroupName="patient"
                                HeaderButtonType="None" AllowFiltering="false" Exportable="true" />

                            <telerik:GridBoundColumn DataField="VAID" UniqueName="VAID_Report" HeaderText="VAID" HeaderTooltip="VAID" ColumnGroupName="patient"
                                HeaderButtonType="None" AllowFiltering="false" Exportable="true" />

                            <telerik:GridDateTimeColumn DataField="exam_date" UniqueName="MammogramDate_Report" HeaderText="Last MMG Date" HeaderTooltip="Last Mammogram Date"
                                ColumnGroupName="last_mam" AllowFiltering="false" DataFormatString="{0:MM/dd/yyyy hh:mm tt}" HeaderButtonType="None" Exportable="true">
                            </telerik:GridDateTimeColumn>

                            <telerik:GridBoundColumn DataField="RadiologyType" UniqueName="RadiologyType_Report" HeaderText="Radiology Type" HeaderTooltip="Radiology Type Column" ColumnGroupName="last_mam"
                                HeaderButtonType="None" AllowFiltering="false" Exportable="true" />

                            <telerik:GridTemplateColumn DataField="BIRADScore" UniqueName="Bi_Rad_Code_Report" HeaderText="BI-RADS Code" HeaderTooltip="Last Mammogram BI-RADS Code Column" ColumnGroupName="last_mam"
                                HeaderButtonType="None" AllowFiltering="false" Exportable="true" SortExpression="BIRADScore">
                                <ItemTemplate>
                                    <%#GetBiradScore(Eval("BIRADScore")) %>
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>

                            <telerik:GridDateTimeColumn DataField="DateNextMammogramDue" UniqueName="DateNextMammogramDue_Report" HeaderText="Next MMG Due" HeaderTooltip="Next Mammogram Due Column"
                                ColumnGroupName="last_mam" AllowFiltering="false" DataFormatString="{0:MM/dd/yyyy}" HeaderButtonType="None" Exportable="true">
                            </telerik:GridDateTimeColumn>

                            <telerik:GridBoundColumn DataField="NotificationStatement" UniqueName="BB_NotificationStatement_Report" HeaderText="Follow Up Notification" HeaderTooltip="Follow Up Notification Column" 
                                HeaderButtonType="None" AllowFiltering="false" Visible="false" ConvertEmptyStringToNull="true" Exportable="true" ColumnGroupName="last_mam" />
                            <telerik:GridTemplateColumn HeaderText="Follow Up Notification" HeaderTooltip="Follow Up Notification Column" DataField="NotificationStatement" SortExpression="NotificationStatement"
                                AllowFiltering="false" UniqueName="BB_NotificationStatement_GUI" HeaderButtonType="None" Exportable="false" ColumnGroupName="last_mam">
                                <ItemTemplate>
                                    <asp:Label ID="lblBB_NotificationStatement" runat="server" Text="Follow-Up Notification"></asp:Label>
                                    <telerik:RadToolTip ID="rttBB_NotificationStatement" runat="server" TargetControlID="lblBB_NotificationStatement" RelativeTo="Element"
                                        Position="TopCenter" OffsetX="-10" OffsetY="-10" RenderInPageRoot="true" Width="400px"
                                        HideEvent="LeaveTargetAndToolTip" AutoCloseDelay="60000">
                                        <%# DataBinder.Eval(Container, "DataItem.NotificationStatement")%>
                                    </telerik:RadToolTip>&nbsp;
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>

                            <telerik:GridBoundColumn DataField="FollowUpActionStatement" UniqueName="BB_FollowUpActionStatement_Report" HeaderText="Follow Up Action" HeaderTooltip="Follow Up Action Column" 
                                HeaderButtonType="None" AllowFiltering="false" Visible="false" ConvertEmptyStringToNull="true" Exportable="true" ColumnGroupName="last_mam" />
                            <telerik:GridTemplateColumn HeaderText="Follow Up Action" HeaderTooltip="Follow Up Action Column" DataField="FollowUpActionStatement" SortExpression="FollowUpActionStatement"
                                AllowFiltering="false" UniqueName="BB_FollowUpActionStatement_GUI" HeaderButtonType="None" Exportable="false" ColumnGroupName="last_mam">
                                <ItemTemplate>
                                    <asp:Label ID="lblBB_FollowUpActionStatement" runat="server" Text="Follow-Up Action"></asp:Label>
                                    <telerik:RadToolTip ID="rttBB_FollowUpActionStatement" runat="server" TargetControlID="lblBB_FollowUpActionStatement" RelativeTo="Element"
                                        Position="TopCenter" OffsetX="-10" OffsetY="-10" RenderInPageRoot="true" Width="400px"
                                        HideEvent="LeaveTargetAndToolTip" AutoCloseDelay="60000">
                                        <%# DataBinder.Eval(Container, "DataItem.FollowUpActionStatement")%>
                                    </telerik:RadToolTip>&nbsp;
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>

                            <telerik:GridDateTimeColumn DataField="OrderingProvider" UniqueName="OrderingProvider_Report" HeaderText="Ordering Provider" HeaderTooltip="Ordering Provider"
                                ColumnGroupName="last_mam" AllowFiltering="false" HeaderButtonType="None" Exportable="true" EmptyDataText="Missing">
                            </telerik:GridDateTimeColumn>

                            <telerik:GridBoundColumn DataField="age" UniqueName="age_Report" HeaderText="Age" HeaderTooltip="Age Column" ColumnGroupName="demo"
                                HeaderButtonType="None" AllowFiltering="false" Exportable="true" />

                            <telerik:GridBoundColumn DataField="gender" UniqueName="gender_Report" HeaderText="Gender" HeaderTooltip="Gender Column" ColumnGroupName="demo"
                                HeaderButtonType="None" AllowFiltering="false" Exportable="true" />

                            <telerik:GridBoundColumn DataField="Race" UniqueName="Race_Report" HeaderText="Race" HeaderTooltip="Race Column" ColumnGroupName="demo"
                                HeaderButtonType="None" AllowFiltering="false" Exportable="true" />

                            <telerik:GridTemplateColumn DataField="PhoneResidence" UniqueName="PhoneResidence_Report" HeaderText="Phone Numbers" HeaderTooltip="Available Patient Phone Numbers"
                                HeaderButtonType="None" AllowFiltering="false" AllowSorting="false" Exportable="true" ShowSortIcon="false" ShowFilterIcon="false" ColumnGroupName="demo">
                                <ItemTemplate>
                                    <%# !String.IsNullOrEmpty(DataBinder.Eval(Container, "DataItem.PhoneResidence").ToString()) ? "Home: " + DataBinder.Eval(Container, "DataItem.PhoneResidence") + "<br />" : "" %>
                                    <%# !String.IsNullOrEmpty(DataBinder.Eval(Container, "DataItem.PhoneWork").ToString()) ? "Work: " + DataBinder.Eval(Container, "DataItem.PhoneWork") + "<br />" : "" %>
                                    <%# !String.IsNullOrEmpty(DataBinder.Eval(Container, "DataItem.PhoneCellular").ToString()) ? "Cell: " + DataBinder.Eval(Container, "DataItem.PhoneCellular") + "<br />" : "" %>
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>
                        </Columns>
                    </MasterTableView>
                    <ClientSettings AllowKeyboardNavigation="true">
                        <Selecting AllowRowSelect="true" />
                        <KeyboardNavigationSettings EnableKeyboardShortcuts="true" />
                        <ClientEvents OnCommand="OnGridCommand" />
                    </ClientSettings>
                    <FilterMenu OnClientShowing="MenuShowing" />
                    <PagerStyle Mode="NextPrevAndNumeric" />
                </telerik:RadGrid>
                <!--End Grid-->
                <br />
            </td>
        </tr>
    </table>

    <telerik:RadNotification ID="RadNotification1" runat="server" Width="300" Animation="Slide" EnableRoundedCorners="true" EnableShadow="true" LoadContentOn="PageLoad" Title="Validation errors"
        TitleIcon="warning" AutoCloseDelay="PORT" Position="Center">
        <ContentTemplate>
            <asp:ValidationSummary ID="ValidationSummary1" runat="server" ValidationGroup="FilterValidation" />
        </ContentTemplate>
    </telerik:RadNotification>

    <div class="loading" align="center">
        Loading. Please wait.<br />
        <br />
        <img src="../images/ajax-loader.gif" alt="Loading Image" />
    </div>

    <div id="dialog" title="Enter Custom Name for Report:">
        <p>
            Please enter a custom name for report or leave default:<br />
            <input type="text" id="txtCustomName" value="<%=reportName%>" style="width:100%;" />
        </p>
    </div>
</asp:Content>
