﻿<%@ Page Title="Patient Details Page" Language="C#" MasterPageFile="~/Registry.master" AutoEventWireup="true" CodeFile="PatientDetails.aspx.cs" Inherits="Reports_PatientDetails" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Charting" TagPrefix="telerik" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    <style type="text/css">
        /**************************************
        * PATIENT DETAILS STYLES
        **************************************/
        .patientDetailsHeader {
            background-color: #00416c; /*1e2d54*/
            height: 30px;
            font-size: 10pt;
            font-weight: bold;
            color: #FFFFFF;
            border: 0px solid #999999;
            vertical-align: middle;
            text-align: left;
        }

        .patientDetailsTable {
            border: 1px solid #999999;
        }

        .patientDetailsTableHeader {
            background-color: #f4f4f4;
            border-bottom: 1px solid #999999;
            font-weight: bold;
        }

        .patientDetailsScrollableContentArea {
            max-height: 200px;
            min-height: 50px;
            overflow: auto;
        }

        .patientDetailsRegion {
            padding: 5px;
            padding-left: 8px;
        }
    </style>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder" runat="Server">

    <asp:Panel ID="pnlPatientDetails" runat="server" CssClass="patientDetailsRegion">
        <table style="width: 95%;" cellpadding="5" class="patientDetailsTable">
            <tr>
                <td colspan="100%" style="text-align: right;">Export Options: 
                    <telerik:RadButton ID="rbExportToExcel" runat="server" Text="Export to Excel" OnClick="rbExportToExcel_Click" />
                    <telerik:RadButton ID="rbExportToWord" runat="server" Text="Export to Word" OnClick="rbExportToWord_Click" />
                </td>
            </tr>
            <tr>
                <td colspan="100%" class="patientDetailsHeader">Patient Name:
                    <asp:Label ID="lblPatientName" runat="server" ToolTip="Patient Name" TabIndex="0" />
                    <asp:Label ID="lblPatientSSN" runat="server" ToolTip="Last 4 of SSN" TabIndex="0" />
                    <%--(ID: <%=patientSID%>)--%>
                </td>
            </tr>
            <tr>
                <td style="width: 25%; background-color: #eee;">Age:<br />
                    <asp:Label ID="lblPatientAge" runat="server" ToolTip="Patient Age" TabIndex="0" />
                    <br />
                    <br />
                    Is Veteran: 
                    <br />
                    <asp:Label ID="lblIsVeteran" runat="server" ToolTip="Is Patient a Veteran?" TabIndex="0" />
                </td>
                <td style="width: 25%; background-color: #eee;">Race:<br />
                    <asp:Label ID="lblPatientRace" runat="server" ToolTip="Patient Race" TabIndex="0" />
                    <br />
                    <br />
                    Gender:<br />
                    <asp:Label ID="lblPatientGender" runat="server" ToolTip="Patient Gender" TabIndex="0" />
                </td>
                <td style="width: 25%; background-color: #eee;">Contact Information
                    <table style="width: 100%;">
                        <tr>
                            <td>Home:</td>
                            <td>
                                <asp:Label ID="lblHomePhone" runat="server" ToolTip="Home Residence Phone" TabIndex="0" /></td>
                        </tr>
                        <tr>
                            <td>Work:</td>
                            <td>
                                <asp:Label ID="lblWorkPhone" runat="server" ToolTip="Work Phone" TabIndex="0" /></td>
                        </tr>
                        <tr>
                            <td>Cell:</td>
                            <td>
                                <asp:Label ID="lblCellPhone" runat="server" ToolTip="Cell Phone" TabIndex="0" /></td>
                        </tr>
                    </table>
                </td>
                <td style="width: 25%; background-color: #eee;">Address:<br />
                    <asp:Label ID="lblPatientAddressInformation" runat="server" ToolTip="Patient Address Information" TabIndex="0" />
                </td>
            </tr>
            <tr>
                <td colspan="100%">&nbsp;</td>
            </tr>
            <tr>
                <td colspan="2" class="patientDetailsHeader">Team</td>
                <td colspan="2" class="patientDetailsHeader">Upcoming Appointment(s)</td>
            </tr>
            <tr>
                <td colspan="2" style="width: 50%; background-color: #eee;">PACT Team:<br />
                    <asp:Label ID="lblTeamName" runat="server" ToolTip="PACT Team Name" TabIndex="0" />
                    <br />
                    <br />
                    Provider:<br />
                    <asp:Label ID="lblProviderName" runat="server" ToolTip="Provider Name" TabIndex="0" />
                </td>
                <td colspan="2" style="width: 50%; background-color: #eee;">
                    <telerik:RadGrid ID="rgAppointments" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true"
                        EnableLinqExpressions="false" ShowStatusBar="true" TabIndex="0">
                        <MasterTableView AutoGenerateColumns="false" AllowFilteringByColumn="false" AllowSorting="true" AllowPaging="false" CommandItemDisplay="None"
                            TabIndex="0" Width="100%" PageSize="5" ShowHeadersWhenNoRecords="true">
                            <NoRecordsTemplate>
                                <table>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-size: 12pt; font-weight: normal;" TabIndex="0">
                                                No Upcoming Appointments Found for Patient
                                            </asp:Label></td>
                                    </tr>
                                </table>
                            </NoRecordsTemplate>
                            <Columns>
                                <telerik:GridBoundColumn DataField="ApptDteTm" UniqueName="ApptDteTm_gui" HeaderText="Appointment Date" HeaderTooltip="Appointment Date Time Column"
                                    HeaderButtonType="None" AllowFiltering="false" />
                                <telerik:GridBoundColumn DataField="ApptLocation" UniqueName="ApptLocation_gui" HeaderText="Location" HeaderTooltip="Appointment Location Column"
                                    HeaderButtonType="None" AllowFiltering="false" />
                            </Columns>
                        </MasterTableView>
                    </telerik:RadGrid>
                </td>
            </tr>
            <tr>
                <td colspan="100%">&nbsp;</td>
            </tr>
            <tr>
                <td colspan="2" class="patientDetailsHeader">Mammogram Compliance</td>
                <td colspan="2" class="patientDetailsHeader">Mammogram Health Factors</td>
            </tr>
            <tr>
                <td colspan="2" style="width: 50%; background-color: #eee;">
                    <asp:Label ID="lblLabelForMMGCompliance" runat="server" Text="Mammogram Screening Compliance:" AssociatedControlID="lblMMGCompliance" /><br />
                    <asp:Label ID="lblMMGCompliance" runat="server" ToolTip="Mammogram Screening Compliance" /><br />
                    <br />

                    <asp:Label ID="lblLabelForDateLastMMG" runat="server" Text="Last MMG Date:" AssociatedControlID="lblDateLastMMG" /><br />
                    <asp:Label ID="lblDateLastMMG" runat="server" ToolTip="Last MMG Date" /><br />
                    <br />

                    <asp:Label ID="lblLabelForLastMMGScore" runat="server" Text="Last MMG BIRAD:" AssociatedControlID="lblLastMMGScore" /><br />
                    <asp:Label ID="lblLastMMGScore" runat="server" ToolTip="Last MMG BIRAD Score" />
                    <br />
                    <br />

                    <asp:Label ID="lblLabelForDateNextMMGDue" runat="server" Text="Next screening date:" AssociatedControlID="lblDateNextMMGDue" /><br />
                    <asp:Label ID="lblDateNextMMGDue" runat="server" ToolTip="Next screening date" />
                </td>
                <td colspan="2" style="width: 50%; background-color: #eee;">
                    <asp:Label ID="lblLabelForHadBilateralMast" runat="server" Text="Had Bilateral Mastectomy:" AssociatedControlID="lblHadBilateralMast" /><br />
                    <asp:Label ID="lblHadBilateralMast" runat="server" ToolTip="Did patient have a bilateral mastectomy?" /><br />
                    <br />

                    <asp:Label ID="lblLabelForHasATerminalHealthFactor" runat="server" Text="Has Terminal Health Factor:" AssociatedControlID="lblHasATerminalHealthFactor" /><br />
                    <asp:Label ID="lblHasATerminalHealthFactor" runat="server" ToolTip="Does patient have a terminal health factor?" /><br />
                    <br />

                    <asp:Label ID="lblLabelForHasMammogramExclusionHealthFactor" runat="server" Text="Has MMG Exclusion Health Factor:" AssociatedControlID="lblHasMammogramExclusionHealthFactor" /><br />
                    <asp:Label ID="lblHasMammogramExclusionHealthFactor" runat="server" ToolTip="Does patient have a mammogram exclusion health factor?" /><br />
                    <br />

                    <asp:Label ID="lblLabelForMammogramScreenFreqHealthFactor" runat="server" Text="MMG Screening Frequency:" AssociatedControlID="lblMammogramScreenFreqHealthFactor" /><br />
                    <asp:Label ID="lblMammogramScreenFreqHealthFactor" runat="server" ToolTip="Does patient have a mammogram screening frequency health factor?" /><br />
                    <br />

                    <asp:Label ID="lblLabelForDateOfMammogramScreenFreqHealthFactor" runat="server" Text="Date of MMG Screening Frequency:" AssociatedControlID="lblDateOfMammogramScreenFreqHealthFactor" /><br />
                    <asp:Label ID="lblDateOfMammogramScreenFreqHealthFactor" runat="server" ToolTip="The patient's mammogram screening frequency health factor date?" /><br />
                    <br />
                </td>
            </tr>
            <tr>
                <td colspan="100%">&nbsp;</td>
            </tr>
            <tr>
                <td colspan="100%" class="patientDetailsHeader">Radiology History</td>
            </tr>
            <tr>
                <td colspan="100%" style="width: 100%; background-color: #eee;">
                    <telerik:RadGrid ID="rgHistory" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true"
                        EnableLinqExpressions="false" ShowStatusBar="true" OnItemDataBound="rgHistory_ItemDataBound"
                        TabIndex="0">
                        <MasterTableView AutoGenerateColumns="false" DataKeyNames="PatientSID" ClientDataKeyNames="PatientSID"
                            AllowFilteringByColumn="false" AllowSorting="true" AllowPaging="false" CommandItemDisplay="None"
                            TabIndex="0" Width="100%" PageSize="8" ShowHeadersWhenNoRecords="true">
                            <NoRecordsTemplate>
                                <table>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-size: 12pt; font-weight: normal;" TabIndex="0">
                                                Either no results were found with the selected parameters or the initial search has not been performed yet.  Please select criteria and click on the "Run Report" button
                                            </asp:Label></td>
                                    </tr>
                                </table>
                            </NoRecordsTemplate>
                            <Columns>
                                <telerik:GridBoundColumn DataField="exam_date" UniqueName="history_exam_date_gui" HeaderText="Date Performed" HeaderTooltip="Date Performed Column"
                                    HeaderButtonType="None" AllowFiltering="false" />
                                <telerik:GridBoundColumn DataField="ProcedureName" UniqueName="history_ProcedureName_gui" HeaderText="Procedure" HeaderTooltip="Procedure Column"
                                    HeaderButtonType="None" AllowFiltering="false" />

                                <telerik:GridTemplateColumn DataField="BIRADScore" UniqueName="history_BIRADScore_gui" HeaderText="BI-RADS Code" HeaderTooltip="BI-RADS Code Column"
                                    HeaderButtonType="None" AllowFiltering="false" Exportable="true" SortExpression="BIRADScore">
                                    <ItemTemplate>
                                        <%#GetBiradScore(Eval("BIRADScore")) %>
                                    </ItemTemplate>
                                </telerik:GridTemplateColumn>

                                <telerik:GridBoundColumn DataField="HospitalDivision" UniqueName="history_HospitalDivision_gui" HeaderText="Hospital" HeaderTooltip="Hospital Division Column"
                                    HeaderButtonType="None" AllowFiltering="false" />
                                <telerik:GridBoundColumn DataField="OrderingProvider" UniqueName="history_OrderingProvider_gui" HeaderText="Requesting Physician" HeaderTooltip="Requesting Physician Column"
                                    HeaderButtonType="None" AllowFiltering="false" />

                                <telerik:GridBoundColumn DataField="reporttextwp" UniqueName="BB_reporttextwp_Report" HeaderText="Report" HeaderTooltip="Report Text Column"
                                    HeaderButtonType="None" AllowFiltering="false" Visible="false" ConvertEmptyStringToNull="true" />
                                <telerik:GridTemplateColumn HeaderText="Report" DataField="reporttextwp" SortExpression="reporttextwp"
                                    AllowFiltering="false" UniqueName="BB_reporttextwp_GUI" HeaderButtonType="None">
                                    <ItemTemplate>
                                        <asp:Label ID="lblBB_reporttextwp" runat="server" Text="Report" ToolTip="Report Text Column"></asp:Label>
                                        <telerik:RadToolTip ID="rttBB_reporttextwp" runat="server" TargetControlID="lblBB_reporttextwp" RelativeTo="Element"
                                            Position="TopCenter" OffsetX="-10" OffsetY="-10" RenderInPageRoot="true" Width="400px"
                                            HideEvent="LeaveTargetAndToolTip" AutoCloseDelay="60000">
                                        </telerik:RadToolTip>
                                    </ItemTemplate>
                                </telerik:GridTemplateColumn>

                                <telerik:GridBoundColumn DataField="impressiontextwp" UniqueName="BB_impressiontextwp_Report" HeaderText="Impression" HeaderTooltip="Impression Text Column"
                                    HeaderButtonType="None" AllowFiltering="false" Visible="false" ConvertEmptyStringToNull="true" />
                                <telerik:GridTemplateColumn HeaderText="Impression" DataField="impressiontextwp" SortExpression="impressiontextwp"
                                    AllowFiltering="false" UniqueName="BB_impressiontextwp_GUI" HeaderButtonType="None">
                                    <ItemTemplate>
                                        <asp:Label ID="lblBB_impressiontextwp" runat="server" Text="Impression" ToolTip="Impression Text Column"></asp:Label>
                                        <telerik:RadToolTip ID="rttBB_impressiontextwp" runat="server" TargetControlID="lblBB_impressiontextwp" RelativeTo="Element"
                                            Position="TopCenter" OffsetX="-10" OffsetY="-10" RenderInPageRoot="true" Width="400px"
                                            HideEvent="LeaveTargetAndToolTip" AutoCloseDelay="60000">
                                        </telerik:RadToolTip>
                                    </ItemTemplate>
                                </telerik:GridTemplateColumn>

                                <telerik:GridBoundColumn DataField="NotificationStatement" UniqueName="BB_NotificationStatement_Report" HeaderText="Follow Up Notification" HeaderTooltip="Follow Up Notification Column"
                                    HeaderButtonType="None" AllowFiltering="false" Visible="false" ConvertEmptyStringToNull="true" Exportable="true" ColumnGroupName="last_mam" />
                                <telerik:GridTemplateColumn HeaderText="Follow Up Notification" HeaderTooltip="Follow Up Notification Column" DataField="NotificationStatement" SortExpression="NotificationStatement"
                                    AllowFiltering="false" UniqueName="BB_NotificationStatement_GUI" HeaderButtonType="None" Exportable="false" ColumnGroupName="last_mam">
                                    <ItemTemplate>
                                        <asp:Label ID="lblBB_NotificationStatement" runat="server" Text="Follow-Up Notification"></asp:Label>
                                        <telerik:RadToolTip ID="rttBB_NotificationStatement" runat="server" TargetControlID="lblBB_NotificationStatement" RelativeTo="Element"
                                            Position="TopCenter" OffsetX="-10" OffsetY="-10" RenderInPageRoot="true" Width="400px"
                                            HideEvent="LeaveTargetAndToolTip" AutoCloseDelay="60000">
                                            <%# DataBinder.Eval(Container, "DataItem.NotificationStatement")%>
                                        </telerik:RadToolTip>
                                        &nbsp;
                                    </ItemTemplate>
                                </telerik:GridTemplateColumn>

                                <telerik:GridBoundColumn DataField="FollowUpActionStatement" UniqueName="BB_FollowUpActionStatement_Report" HeaderText="Follow Up Action" HeaderTooltip="Follow Up Action Column"
                                    HeaderButtonType="None" AllowFiltering="false" Visible="false" ConvertEmptyStringToNull="true" Exportable="true" ColumnGroupName="last_mam" />
                                <telerik:GridTemplateColumn HeaderText="Follow Up Action" HeaderTooltip="Follow Up Action Column" DataField="FollowUpActionStatement" SortExpression="FollowUpActionStatement"
                                    AllowFiltering="false" UniqueName="BB_FollowUpActionStatement_GUI" HeaderButtonType="None" Exportable="false" ColumnGroupName="last_mam">
                                    <ItemTemplate>
                                        <asp:Label ID="lblBB_FollowUpActionStatement" runat="server" Text="Follow-Up Action"></asp:Label>
                                        <telerik:RadToolTip ID="rttBB_FollowUpActionStatement" runat="server" TargetControlID="lblBB_FollowUpActionStatement" RelativeTo="Element"
                                            Position="TopCenter" OffsetX="-10" OffsetY="-10" RenderInPageRoot="true" Width="400px"
                                            HideEvent="LeaveTargetAndToolTip" AutoCloseDelay="60000">
                                            <%# DataBinder.Eval(Container, "DataItem.FollowUpActionStatement")%>
                                        </telerik:RadToolTip>
                                        &nbsp;
                                    </ItemTemplate>
                                </telerik:GridTemplateColumn>

                            </Columns>
                        </MasterTableView>
                    </telerik:RadGrid>
                </td>
            </tr>
            <tr>
                <td colspan="100%">&nbsp;</td>
            </tr>
            <tr>
                <td colspan="100%" class="patientDetailsHeader">BCR Diagnosis</td>
            </tr>
            <tr>
                <td colspan="100%">
                    <!--Start Grid-->
                    <telerik:RadGrid ID="rgDiagnosisHx" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true"
                        EnableLinqExpressions="false" ShowStatusBar="true"
                        TabIndex="0">
                        <MasterTableView AutoGenerateColumns="false" DataKeyNames="PatientSID" ClientDataKeyNames="PatientSID"
                            AllowFilteringByColumn="false" AllowSorting="true" AllowPaging="false" CommandItemDisplay="None"
                            TabIndex="0" Width="100%" PageSize="8" ShowHeadersWhenNoRecords="true">
                            <NoRecordsTemplate>
                                <table>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-size: 12pt; font-weight: normal;" TabIndex="0">
                                                No Diagnosis History was found for this patient.
                                            </asp:Label></td>
                                    </tr>
                                </table>
                            </NoRecordsTemplate>
                            <Columns>
                                <telerik:GridBoundColumn DataField="ICD9Code" UniqueName="ICD9Code_gui" HeaderText="ICD Code" HeaderTooltip="ICD Code Column"
                                    HeaderButtonType="None" AllowFiltering="true" />
                                <telerik:GridBoundColumn DataField="ICD9Description" UniqueName="ICD9Description_gui" HeaderText="ICD Code Desc." HeaderTooltip="ICD Code Desc. Column"
                                    HeaderButtonType="None" AllowFiltering="true" />
                                <telerik:GridBoundColumn DataField="MinDate" UniqueName="MinDate_gui" HeaderText="Dx Start Date" HeaderTooltip="Diagnosis First Used for Patient (Date)"
                                    HeaderButtonType="None" AllowFiltering="true" />
                                <telerik:GridBoundColumn DataField="MaxDate" UniqueName="MaxDate_gui" HeaderText="Dx Last Date" HeaderTooltip="Diagnosis Last Used for Patient (Date)"
                                    HeaderButtonType="None" AllowFiltering="true" />
                            </Columns>
                        </MasterTableView>
                    </telerik:RadGrid>
                    <!--End Grid-->
                </td>
            </tr>
            <tr>
                <td colspan="100%">&nbsp;</td>
            </tr>
            <tr>
                <td colspan="100%" class="patientDetailsHeader">Co-Morbidities (Based on Problem List Diagnoses)</td>
            </tr>
            <tr>
                <td colspan="100%" style="width: 100%; background-color: #eee;">
                    <telerik:RadGrid ID="rgCoMorbidities" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true" EnableLinqExpressions="false" ShowStatusBar="true" TabIndex="0">
                        <MasterTableView AutoGenerateColumns="false" DataKeyNames="ID" ClientDataKeyNames="ID" AllowFilteringByColumn="false" AllowSorting="true" AllowPaging="true" CommandItemDisplay="None"
                            TabIndex="0" Width="100%" PageSize="1000" ShowHeadersWhenNoRecords="true">
                            <NoRecordsTemplate>
                                <table>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-size: 12pt; font-weight: normal;" TabIndex="0">
                                                No Co-Morbidity Data was found for this patient.
                                            </asp:Label></td>
                                    </tr>
                                </table>
                            </NoRecordsTemplate>
                            <Columns>
                                <telerik:GridBoundColumn DataField="EnteredDate" UniqueName="EnteredDate_CoMorb_gui" HeaderText="Last Updated Date on Problem List" HeaderTooltip="Last Updated Date on Problem List Column"
                                    HeaderButtonType="None" SortExpression="EnteredDate" />
                                <telerik:GridBoundColumn DataField="ICD9Code" UniqueName="ICD9Code_CoMorb_gui" HeaderText="ICD Code" HeaderTooltip="ICD Code Column"
                                    HeaderButtonType="None" AllowFiltering="true" SortExpression="ICD9Code" />
                                <telerik:GridBoundColumn DataField="ICD9Description" UniqueName="ICD9Description_CoMorb_gui" HeaderText="Problem List ICD Code Desc." HeaderTooltip="Problem List ICD Code Desc. Column"
                                    HeaderButtonType="None" AllowFiltering="true" SortExpression="ICD9Description" />
                                <telerik:GridBoundColumn DataField="Category" UniqueName="Category_CoMorb_gui" HeaderText="BCR Category" HeaderTooltip="BCR Category"
                                    HeaderButtonType="None" AllowFiltering="true" SortExpression="Category" />
                            </Columns>
                        </MasterTableView>
                    </telerik:RadGrid>
                </td>
            </tr>
            <tr>
                <td colspan="100%">&nbsp;</td>
            </tr>
            <tr>
                <td colspan="100%" class="patientDetailsHeader">Tumor Registry Data</td>
            </tr>
            <tr>
                <td colspan="100%" style="width: 100%; background-color: #eee;">
                    <telerik:RadGrid ID="rgTumorRegData" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true"
                        EnableLinqExpressions="false" ShowStatusBar="true"
                        TabIndex="0">
                        <MasterTableView AutoGenerateColumns="false" DataKeyNames="PatientSID" ClientDataKeyNames="PatientSID"
                            AllowFilteringByColumn="false" AllowSorting="true" AllowPaging="true" CommandItemDisplay="None"
                            TabIndex="0" Width="100%" PageSize="5" ShowHeadersWhenNoRecords="true">
                            <NoRecordsTemplate>
                                <table>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-size: 12pt; font-weight: normal;" TabIndex="0">
                                                No Tumor Registry Data was found for this patient.
                                            </asp:Label></td>
                                    </tr>
                                </table>
                            </NoRecordsTemplate>
                            <Columns>
                                <telerik:GridBoundColumn DataField="date_dx" UniqueName="date_dx_gui" HeaderText="Event Date" HeaderTooltip="Event Date Column"
                                    HeaderButtonType="None" AllowFiltering="true" />
                                <%--<telerik:GridBoundColumn DataField="Data_Source" UniqueName="Data_Source_gui" HeaderText="Data Source" HeaderTooltip="Data Source Column"
                                    HeaderButtonType="None" AllowFiltering="true" />--%>
                                <telerik:GridBoundColumn DataField="textdxproclabtestswp" UniqueName="textdxproclabtestswp_gui" HeaderText="Result" HeaderTooltip="Tumor Registry Data Result Column"
                                    HeaderButtonType="None" AllowFiltering="true" />
                                <telerik:GridBoundColumn DataField="textdxprocpewp" UniqueName="textdxprocpewp_gui" HeaderText="Details" HeaderTooltip="Tumor Registry Details Column"
                                    HeaderButtonType="None" AllowFiltering="true" />
                            </Columns>
                        </MasterTableView>
                    </telerik:RadGrid>
                </td>
            </tr>
            <tr>
                <td colspan="100%">&nbsp;</td>
            </tr>
            <tr>
                <td colspan="100%" class="patientDetailsHeader">Treatment</td>
            </tr>
            <tr>
                <td colspan="100%" style="background-color: #eee;">
                    <strong>Chemotherapy</strong>
                    <br />
                    <telerik:RadGrid ID="rgChemotherapy" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true"
                        EnableLinqExpressions="false" ShowStatusBar="true"
                        TabIndex="0">
                        <MasterTableView AutoGenerateColumns="false" AllowFilteringByColumn="false" AllowSorting="true" AllowPaging="true" CommandItemDisplay="None"
                            TabIndex="0" Width="100%" PageSize="5" ShowHeadersWhenNoRecords="false">
                            <NoRecordsTemplate>
                                <table>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-size: 12pt; font-weight: normal;" TabIndex="0">
                                                No Chemotherapy records found for patient.
                                            </asp:Label></td>
                                    </tr>
                                </table>
                            </NoRecordsTemplate>
                            <Columns>
                                <telerik:GridBoundColumn DataField="chemotherapy_date" UniqueName="chemotherapy_date_gui" HeaderText="Treatment Date" HeaderTooltip="Treatment Date Column"
                                    HeaderButtonType="None" AllowFiltering="true" />
                                <%--<telerik:GridBoundColumn DataField="Data_Source" UniqueName="Data_Source_gui" HeaderText="Data Source" HeaderTooltip="Data Source Column"
                                    HeaderButtonType="None" AllowFiltering="true" />--%>
                                <telerik:GridBoundColumn DataField="chemotherapy" UniqueName="chemotherapy_gui" HeaderText="Type" HeaderTooltip="Chemotherapy Type Column"
                                    HeaderButtonType="None" AllowFiltering="true" />
                                <telerik:GridBoundColumn DataField="rxtextchemowp" UniqueName="rxtextchemowp_gui" HeaderText="Details" HeaderTooltip="Chemotherapy Details Column"
                                    HeaderButtonType="None" AllowFiltering="true" />
                            </Columns>
                        </MasterTableView>
                    </telerik:RadGrid>
                </td>
            </tr>
            <tr>
                <td colspan="100%" style="background-color: #eee;">
                    <strong>Radiation Therapy</strong>
                    <br />
                    <telerik:RadGrid ID="rgRadiationTherapy" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true"
                        EnableLinqExpressions="false" ShowStatusBar="true"
                        TabIndex="0">
                        <MasterTableView AutoGenerateColumns="false" AllowFilteringByColumn="false" AllowSorting="true" AllowPaging="true" CommandItemDisplay="None"
                            TabIndex="0" Width="100%" PageSize="5" ShowHeadersWhenNoRecords="false">
                            <NoRecordsTemplate>
                                <table>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-size: 12pt; font-weight: normal;" TabIndex="0">
                                                No Radiation records found for patient.
                                            </asp:Label></td>
                                    </tr>
                                </table>
                            </NoRecordsTemplate>
                            <Columns>
                                <telerik:GridBoundColumn DataField="radiation" UniqueName="rad_radiation_gui" HeaderText="Radiation" HeaderTooltip="Radiation Column"
                                    HeaderButtonType="None" AllowFiltering="true" />
                                <telerik:GridBoundColumn DataField="radiationsurgery_sequence" UniqueName="rad_radiationsurgery_sequence_gui" HeaderText="Radiation/Surgery Seq." HeaderTooltip="Radiation / Surgery Sequence Column"
                                    HeaderButtonType="None" AllowFiltering="true" />
                                <telerik:GridBoundColumn DataField="reason_for_no_radiation" UniqueName="rad_reason_for_no_radiation_gui" HeaderText="Reason for No Radiation" HeaderTooltip="Reason for No Radiation Column"
                                    HeaderButtonType="None" AllowFiltering="true" />
                                <telerik:GridBoundColumn DataField="rxtextradiationwp" UniqueName="rad_rxtextradiationwp_gui" HeaderText="Radiation Details" HeaderTooltip="Radiation Details Column"
                                    HeaderButtonType="None" AllowFiltering="true" />
                                <telerik:GridBoundColumn DataField="rxtextradiationotherwp" UniqueName="rad_rxtextradiationotherwp_gui" HeaderText="Radiation Therapy Details" HeaderTooltip="Radiation Therapy Details Column"
                                    HeaderButtonType="None" AllowFiltering="true" />
                            </Columns>
                        </MasterTableView>
                    </telerik:RadGrid>
                </td>
            </tr>
            <tr>
                <td colspan="100%" style="background-color: #eee;">
                    <strong>Hormonal Therapy</strong>
                    <br />
                    <telerik:RadGrid ID="rgHormoneTherapy" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true"
                        EnableLinqExpressions="false" ShowStatusBar="true"
                        TabIndex="0">
                        <MasterTableView AutoGenerateColumns="false" AllowFilteringByColumn="false" AllowSorting="true" AllowPaging="true" CommandItemDisplay="None"
                            TabIndex="0" Width="100%" PageSize="5" ShowHeadersWhenNoRecords="false">
                            <NoRecordsTemplate>
                                <table>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-size: 12pt; font-weight: normal;" TabIndex="0">
                                                No Hormonal Therapy records found for patient.
                                            </asp:Label></td>
                                    </tr>
                                </table>
                            </NoRecordsTemplate>
                            <Columns>
                                <telerik:GridBoundColumn DataField="hormone_therapy_date" UniqueName="h_hormone_therapy_date_gui" HeaderText="Start Date" HeaderTooltip="Hormone Therapy Start Date Column"
                                    HeaderButtonType="None" AllowFiltering="true" />
                                <telerik:GridBoundColumn DataField="hormone_therapy" UniqueName="h_hormone_therapy_gui" HeaderText="Hormone Therapy" HeaderTooltip="Hormone Therapy Column"
                                    HeaderButtonType="None" AllowFiltering="true" />
                                <telerik:GridBoundColumn DataField="rxtexthormonewp" UniqueName="h_rxtexthormonewp_gui" HeaderText="Hormone Rx" HeaderTooltip="Hormone Prescription Column"
                                    HeaderButtonType="None" AllowFiltering="true" />
                            </Columns>
                        </MasterTableView>
                    </telerik:RadGrid>
                </td>
            </tr>
            <tr>
                <td colspan="100%" style="background-color: #eee;">
                    <strong>Medications</strong>
                    <br />
                    <!--Start Grid-->
                    <telerik:RadGrid ID="rgMedications" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true" EnableLinqExpressions="false" ShowStatusBar="true" TabIndex="0">
                        <MasterTableView AutoGenerateColumns="false" AllowFilteringByColumn="false" AllowSorting="true" AllowPaging="false" CommandItemDisplay="None" TabIndex="0" Width="100%" PageSize="1000"
                            ShowHeadersWhenNoRecords="true">
                            <NoRecordsTemplate>
                                <table>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-size: 12pt; font-weight: normal;" TabIndex="0">
                                                No Medications were found for this patient.
                                            </asp:Label></td>
                                    </tr>
                                </table>
                            </NoRecordsTemplate>
                            <Columns>
                                <telerik:GridBoundColumn DataField="DrugNameWithDose" UniqueName="DrugNameWithDose_gui" HeaderText="Drug Name with Dose" HeaderTooltip="Drug Name with Dose Column"
                                    HeaderButtonType="None" AllowFiltering="false" />
                                <telerik:GridTemplateColumn HeaderText="Issue Dates" HeaderTooltip="Issue Dates Column" DataField="FirstIssueDate" SortExpression="FirstIssueDate"
                                    AllowFiltering="false" UniqueName="FirstIssueDate_GUI" HeaderButtonType="None" Exportable="true">
                                    <ItemTemplate>
                                        <%# ((DateTime)Eval("FirstIssueDate")).ToShortDateString() %> - <%# ((DateTime)Eval("LastIssueDate")).ToShortDateString() %>
                                    </ItemTemplate>
                                </telerik:GridTemplateColumn>
                                <telerik:GridBoundColumn DataField="FillCount" UniqueName="FillCount_gui" HeaderText="Fill Count" HeaderTooltip="Fill Count Column"
                                    HeaderButtonType="None" AllowFiltering="false" />
                                <telerik:GridBoundColumn DataField="PrimaryDrugClassCode" UniqueName="PrimaryDrugClassCode_gui" HeaderText="Primary Drug Class Code" HeaderTooltip="Primary Drug Class Code Column"
                                    HeaderButtonType="None" AllowFiltering="false" />
                            </Columns>
                        </MasterTableView>
                    </telerik:RadGrid>
                    <!--End Grid-->
                </td>
            </tr>
            <tr>
                <td colspan="100%">&nbsp;</td>
            </tr>
            <tr>
                <td colspan="100%" class="patientDetailsHeader">Biopsies / Surgeries</td>
            </tr>
            <tr>
                <td colspan="100%">
                    <!--Start Grid-->
                    <telerik:RadGrid ID="rgBiopsySurgery" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true"
                        EnableLinqExpressions="false" ShowStatusBar="true"
                        TabIndex="0">
                        <MasterTableView AutoGenerateColumns="false" DataKeyNames="PatientSID" ClientDataKeyNames="PatientSID"
                            AllowFilteringByColumn="false" AllowSorting="true" AllowPaging="false" CommandItemDisplay="None"
                            TabIndex="0" Width="100%" PageSize="8" ShowHeadersWhenNoRecords="true">
                            <NoRecordsTemplate>
                                <table>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-size: 12pt; font-weight: normal;" TabIndex="0">
                                                No Biopsies / Surgeries were found for this patient.
                                            </asp:Label></td>
                                    </tr>
                                </table>
                            </NoRecordsTemplate>
                            <Columns>
                                <telerik:GridBoundColumn DataField="Event_Date" UniqueName="Event_Date_gui" HeaderText="Procedure Date" HeaderTooltip="Procedure Date Column"
                                    HeaderButtonType="None" AllowFiltering="true" />
                                <telerik:GridBoundColumn DataField="Procedure" UniqueName="Procedure_gui" HeaderText="Procedure" HeaderTooltip="Procedure Column"
                                    HeaderButtonType="None" AllowFiltering="true" />
                                <telerik:GridBoundColumn DataField="Report" UniqueName="Report_gui" HeaderText="Report" HeaderTooltip="Report Column"
                                    HeaderButtonType="None" AllowFiltering="true" />
                                <telerik:GridBoundColumn DataField="Type" UniqueName="Type_gui" HeaderText="Biopsy vs. Surgery" HeaderTooltip="Biopsy vs. Surgery Column"
                                    HeaderButtonType="None" AllowFiltering="true" />
                                <telerik:GridBoundColumn DataField="HospitalLocation" UniqueName="HospitalLocation_gui" HeaderText="Hospital Location" HeaderTooltip="Hospital Location Column"
                                    HeaderButtonType="None" AllowFiltering="true" EmptyDataText="Not Available" />
                            </Columns>
                        </MasterTableView>
                    </telerik:RadGrid>
                    <!--End Grid-->
                </td>
            </tr>
            <tr>
                <td colspan="100%">&nbsp;</td>
            </tr>
            <tr>
                <td colspan="100%" class="patientDetailsHeader">Upcoming Orders</td>
            </tr>
            <tr>
                <td colspan="100%" style="width: 100%; background-color: #eee;">
                    <telerik:RadGrid ID="rgOrders" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true"
                        EnableLinqExpressions="false" ShowStatusBar="true"
                        TabIndex="0">
                        <MasterTableView AutoGenerateColumns="false" DataKeyNames="ID" ClientDataKeyNames="ID"
                            AllowFilteringByColumn="false" AllowSorting="true" AllowPaging="true" CommandItemDisplay="None"
                            TabIndex="0" Width="100%" PageSize="5" ShowHeadersWhenNoRecords="true">
                            <NoRecordsTemplate>
                                <table>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-size: 12pt; font-weight: normal;" TabIndex="0">
                                                No Order Data was found for this patient.
                                            </asp:Label></td>
                                    </tr>
                                </table>
                            </NoRecordsTemplate>
                            <Columns>
                                <telerik:GridBoundColumn DataField="OrderStartDateTime" UniqueName="OrderStartDateTime_gui" HeaderText="Order Start Date" HeaderTooltip="Order Start Date Column"
                                    HeaderButtonType="None" AllowFiltering="false" />
                                <telerik:GridBoundColumn DataField="Requesting_Provider" UniqueName="Requesting_Provider_gui" HeaderText="Requesting Provider" HeaderTooltip="Requesting Provider Column"
                                    HeaderButtonType="None" AllowFiltering="false" />
                                <telerik:GridBoundColumn DataField="OrderableItemCodeSource" UniqueName="OrderableItemCodeSource_gui" HeaderText="Code Source" HeaderTooltip="Orderable Item Code Source Column"
                                    HeaderButtonType="None" AllowFiltering="false" />
                                <telerik:GridBoundColumn DataField="OrderableItemCode" UniqueName="OrderableItemCode_gui" HeaderText="Orderable Item Code" HeaderTooltip="Orderable Item Code Column"
                                    HeaderButtonType="None" AllowFiltering="false" />
                                <telerik:GridBoundColumn DataField="CPTDescription" UniqueName="CPTDescription_gui" HeaderText="Description" HeaderTooltip="CPT Description Column"
                                    HeaderButtonType="None" AllowFiltering="false" />
                                <telerik:GridBoundColumn DataField="OrderStatus" UniqueName="OrderStatus_gui" HeaderText="Order Status" HeaderTooltip="Order Status Column"
                                    HeaderButtonType="None" AllowFiltering="false" />
                            </Columns>
                        </MasterTableView>
                    </telerik:RadGrid>
                </td>
            </tr>
        </table>
    </asp:Panel>
</asp:Content>
