﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class Reports_VISNFacilitySearch : BasePage
{
    /// <summary>
    /// Default Page Load
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void Page_Load(object sender, EventArgs e)
    {
        LabelBreadCrumb.Text = "<a href=\"./Dashboard.aspx\" title=\"Return to main reporting home page.\" style=\"color:#FFFFFF;\">Reporting Home</a> >  VISN / Facility Search";
    }

    #region GUI Overrides

    public override string TopMenuName()
    {
        return "Reporting";
    }

    public override string MenuItemName()
    {
        return "VISN / Facility Search";
    }

    public override string AppObjectCode()
    {
        return "VISN Facility Search";
    }

    #endregion

    /// <summary>
    /// When selection is made in drop down - get details for facility.
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void rcbInstitution_SelectedIndexChanged(object sender, Telerik.Web.UI.RadComboBoxSelectedIndexChangedEventArgs e)
    {
        // get id
        string sta3nStr = rcbInstitution.SelectedValue;

        if (!String.IsNullOrEmpty(sta3nStr))
        {
            DataTable dt = Reports.GetFacilityDetailsById(sta3nStr);

            if (dt != null)
            {
                if (dt.Rows != null)
                {
                    if (dt.Rows.Count > 0)
                    {
                        // show first
                        DataRow dr = dt.Rows[0];

                        //lblid.Text = dr["ID"].ToString();
                        lblFacName.Text = dr["FacilityName"].ToString();
                        lblSta3n.Text = dr["Sta3n"].ToString();
                        lblVistaName.Text = dr["VISTANAME"].ToString();

                        lblFacilityType.Text = dr["FacilityType"].ToString();
                        lblVisnName.Text = dr["VISN_NAME"].ToString();

                        #region Generate Address Block

                        string address1 = dr["STREETADDRESSLINE1"].ToString();
                        string address2 = dr["STREETADDRESSLINE2"].ToString();
                        string address3 = dr["STREETADDRESSLINE3"].ToString();
                        string cityStr = dr["STREETCITY"].ToString();
                        string stateStr = dr["StateName"].ToString();
                        string zipString = dr["STREETPOSTALCODE"].ToString();

                        StringBuilder sb = new StringBuilder();

                        if (!String.IsNullOrEmpty(address1))
                        {
                            sb.Append(address1);
                        }

                        if (!String.IsNullOrEmpty(address2))
                        {
                            if (!String.IsNullOrEmpty(sb.ToString()))
                            {
                                sb.Append("<br />");
                            }

                            sb.Append(address2);
                        }

                        if (!String.IsNullOrEmpty(address3))
                        {
                            if (!String.IsNullOrEmpty(sb.ToString()))
                            {
                                sb.Append("<br />");
                            }

                            sb.Append(address3);
                        }

                        if (!String.IsNullOrEmpty(sb.ToString()))
                        {
                            sb.Append("<br />");
                        }

                        sb.Append(cityStr + ", " + stateStr + " " + zipString);

                        lblAddressString.Text = sb.ToString();

                        #endregion

                        pnlVisnResults.Visible = true;
                    }
                }
            }
        }
    }

    protected void rsbSearch_Search(object sender, Telerik.Web.UI.SearchBoxEventArgs e)
    {
        Response.Redirect(this.ResolveUrl("~/") + "Reports/PatientSearchResults.aspx?searchTerms=" + Server.UrlEncode(rsbSearch.Text) + "&sta3n=" + rcbInstitution.SelectedValue);
    }
}